<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for ScmServer
//
require_once('plugins/scm/lib/ScmServerPeer.php');
require_once('plugins/scm/lib/ScmServer.php');
require_once('GFUrl.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('lib/html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

$params = array(
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('ScmServer.AddNewPageTitle')
		);

$scm_type=((isset($_POST['scm_type'])) ? htmlspecialchars($_POST['scm_type']) : '' );
$hostname=((isset($_POST['hostname'])) ? htmlspecialchars($_POST['hostname']) : '' );

include('forms/ScmServerAdd-tpl.php');

?>