<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code edits a ScmModule and saves it to the 
// database
//
 
require_once('plugins/scmgit/lib/html/ScmgitAdminTemplate.php');

$theme = new ScmgitAdminTemplate();
$project = GFUrl::getUrl()->getProject();
$Lang = Session::getSession()->getLanguage();

$CODE_SEARCH_MODULE_NAME = $Lang->getText('CodeSearchModuleGit.CodeSearchModuleName');

$params = array(
		'project' => $project,
		'action' => isset($action) ? $action : '',
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'title' => $Lang->getText('CodeSearchModule.EditPageTitle', array($CODE_SEARCH_MODULE_NAME))
		);
 
require_once('plugins/scm/wwwlib/admin/CodeSearchModuleEditAction.php');

?>
