﻿<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version $Id$
 * @author Daniel A. P�ez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

if (!Session::getSession()->isSiteAdmin()) {
	throw new PermissionDeniedException();
}
$feedback = 'No change';

if(isset($_POST['submit'])) {
	if (array_key_exists('news',$_POST)) {
		$approved_news_ids = $_POST['news'];
	} else {
		$approved_news_ids = array();
	}
	$c = new Criteria();
	$c->add(NewsPeer::NEWS_ID, array_keys($approved_news_ids), Criteria::IN);
	$all_news = NewsPeer::doSelect($c);
	foreach ($all_news as $news) {
		if ($news->getProject()->isPublic()){ //Only news from public projects can be approved
			$news->setIsApproved(Validator::sanitizeInt($approved_news_ids[$news->getPrimaryKey()]));
			$news->save();
		}
	}
	$feedback = 'Status updated';
}

GFUrl::redirect(GFUrl::getUrl()->baseURL('NewsApprove','','admin',array('feedback'=>$feedback)));

?>
