-- Important changes with respect to PostgreSQL:
-- 1) Removed "now()" as default value for TIMESTAMPs
-- 2) Changed fields of type tsvector to CLOB
-- 3) Removed project_activity_vw
-- 4) Removed rules
-- 5) Removed triggers
-- Changed table names:
--	- cruisecontrol_build_change_user to cruisecontrol_build_change_use
--	- tracker_commit_reassign_trigger to tracker_commit_reassign_trigge
--	- tracker_efe_transition_reassign to tracker_efe_transition_reassig
--	- tracker_extra_field_element_transition to tracker_efe_trans
--	- tracker_extra_field_element_transition_role to tracker_efe_trans_role
--	- tracker_extra_field_element_transition_notify to tracker_efe_trans_notify
--	- tracker_extra_field_element_transition_field to tracker_efe_trans_field
-- Changed field names:
--	jabber_notification.date to jabber_notification.notification_date
--	tracker_efe_transition_trigger.tracker_efe_transition_trigger_id to tracker_efe_trans_trigger_id
--	tracker_efe_trans_field.required_tracker_extra_field_id to required_tef_id

ALTER TABLE "user" DROP CONSTRAINT countrycode_fk1;
ALTER TABLE cruisecontrol_build_change_use DROP CONSTRAINT cruisecontrolbuildid_fk2;
ALTER TABLE cruisecontrol_build DROP CONSTRAINT cruisecontrolid_fk3;
ALTER TABLE cruisecontrol_publisher DROP CONSTRAINT cruisecontrolid_fk4;
ALTER TABLE cruisecontrol_defect DROP CONSTRAINT cruisecontrolid_fk5;
ALTER TABLE cruisecontrol_assignee DROP CONSTRAINT cruisecontrolid_fk6;
ALTER TABLE plugin_dependency DROP CONSTRAINT dependsonpluginid_fk7;
ALTER TABLE docman_file_version DROP CONSTRAINT docmanfileid_fk8;
ALTER TABLE docman_file_idx DROP CONSTRAINT docmanfileid_fk9;
ALTER TABLE docman_file_version_idx DROP CONSTRAINT docmanfileid_fk10;
ALTER TABLE docman_file DROP CONSTRAINT docmanfolderid_fk11;
ALTER TABLE tracker_item_duplicate DROP CONSTRAINT duplicateoftrackeritemid_fk12;
ALTER TABLE tracker_efe_trans DROP CONSTRAINT elementid_fk13;
ALTER TABLE tracker_efe_trans_role DROP CONSTRAINT elementtransitionid_fk14;
ALTER TABLE tracker_efe_trans_field DROP CONSTRAINT elementtransitionid_fk15;
ALTER TABLE tracker_efe_trans_notify DROP CONSTRAINT elementtransitionid_fk16;
ALTER TABLE filesystem_download DROP CONSTRAINT filesystemid_fk17;
ALTER TABLE filesystem_idx DROP CONSTRAINT filesystemid_fk18;
ALTER TABLE forum_thread DROP CONSTRAINT forumid_fk19;
ALTER TABLE forum_message_idx DROP CONSTRAINT forummessageid_fk20;
ALTER TABLE forum_message DROP CONSTRAINT forumthreadid_fk21;
ALTER TABLE wiki_page_link DROP CONSTRAINT fromwikipageid_fk22;
ALTER TABLE frs_release DROP CONSTRAINT frspackageid_fk23;
ALTER TABLE frs_release_idx DROP CONSTRAINT frsreleaseid_fk24;
ALTER TABLE jabber_project_log_idx DROP CONSTRAINT jabberprojectlogid_fk25;
ALTER TABLE "user" DROP CONSTRAINT languageid_fk26;
ALTER TABLE usergroup_user DROP CONSTRAINT memberuserid_fk27;
ALTER TABLE my_report_field_filter DROP CONSTRAINT my_report_field_filter_m_fk28;
ALTER TABLE my_report_field_display DROP CONSTRAINT my_report_field_my_repor_fk29;
ALTER TABLE my_report_field_value DROP CONSTRAINT my_report_field_value_my_fk30;
ALTER TABLE my_report_project DROP CONSTRAINT my_report_project_my_rep_fk31;
ALTER TABLE my_report_project DROP CONSTRAINT my_report_project_projec_fk32;
ALTER TABLE my_report_tracker DROP CONSTRAINT my_report_tracker_my_rep_fk33;
ALTER TABLE my_report_tracker DROP CONSTRAINT my_report_tracker_tracke_fk34;
ALTER TABLE my_report DROP CONSTRAINT my_report_user_id_fk35;
ALTER TABLE my_report_user DROP CONSTRAINT my_report_user_my_report_fk36;
ALTER TABLE my_report_user DROP CONSTRAINT my_report_user_user_id_fk37;
ALTER TABLE news_idx DROP CONSTRAINT newsid_fk38;
ALTER TABLE trove_category DROP CONSTRAINT parenttrovecatid_fk39;
ALTER TABLE plugin_dependency DROP CONSTRAINT pluginid_fk40;
ALTER TABLE project_plugin DROP CONSTRAINT pluginid_fk41;
ALTER TABLE user_plugin DROP CONSTRAINT pluginid_fk42;
ALTER TABLE scm_commit_filter DROP CONSTRAINT pluginid_fk43;
ALTER TABLE project_export_request DROP CONSTRAINT project_id_fk44;
ALTER TABLE docman_folder DROP CONSTRAINT projectid_fk45;
ALTER TABLE project_scm DROP CONSTRAINT projectid_fk46;
ALTER TABLE frs_package DROP CONSTRAINT projectid_fk47;
ALTER TABLE mailman DROP CONSTRAINT projectid_fk48;
ALTER TABLE news DROP CONSTRAINT projectid_fk49;
ALTER TABLE survey_question DROP CONSTRAINT projectid_fk50;
ALTER TABLE survey DROP CONSTRAINT projectid_fk51;
ALTER TABLE role DROP CONSTRAINT projectid_fk52;
ALTER TABLE user_project DROP CONSTRAINT projectid_fk53;
ALTER TABLE tracker DROP CONSTRAINT projectid_fk54;
ALTER TABLE scm_user_stats DROP CONSTRAINT projectid_fk55;
ALTER TABLE scm_project_stats DROP CONSTRAINT projectid_fk56;
ALTER TABLE project_plugin DROP CONSTRAINT projectid_fk57;
ALTER TABLE user_watched_project DROP CONSTRAINT projectid_fk58;
ALTER TABLE project_join_request DROP CONSTRAINT projectid_fk59;
ALTER TABLE scm_module DROP CONSTRAINT projectid_fk60;
ALTER TABLE scm_preference DROP CONSTRAINT projectid_fk61;
ALTER TABLE scm_commit DROP CONSTRAINT projectid_fk62;
ALTER TABLE cruisecontrol DROP CONSTRAINT projectid_fk63;
ALTER TABLE project_activity DROP CONSTRAINT projectid_fk64;
ALTER TABLE projects_idx DROP CONSTRAINT projectid_fk65;
ALTER TABLE jabber_project_log DROP CONSTRAINT projectid_fk66;
ALTER TABLE disk_usage DROP CONSTRAINT projectid_fk67;
ALTER TABLE scm_commit_filter_project DROP CONSTRAINT projectid_fk68;
ALTER TABLE tracker_item_relation DROP CONSTRAINT relatedtrackeritemid_fk69;
ALTER TABLE tracker_efe_trans_field DROP CONSTRAINT requiredtrackerextrafiel_fk70;
ALTER TABLE tracker_efe_transition_reassig DROP CONSTRAINT role_roleid_fk71;
ALTER TABLE tracker_commit_reassign_trigge DROP CONSTRAINT role_roleid_fk72;
ALTER TABLE role_setting DROP CONSTRAINT roleid_fk73;
ALTER TABLE tracker_efe_trans_role DROP CONSTRAINT roleid_fk74;
ALTER TABLE tracker_efe_trans_notify DROP CONSTRAINT roleid_fk75;
ALTER TABLE user_project_role DROP CONSTRAINT roleid_fk76;
ALTER TABLE scm_commit_filter_project DROP CONSTRAINT scmcommitfilterid_fk77;
ALTER TABLE tracker_item_scm_commit DROP CONSTRAINT scmcommitid_fk78;
ALTER TABLE scm_commit_file DROP CONSTRAINT scmcommitid_fk79;
ALTER TABLE scm_module_user DROP CONSTRAINT scmmoduleid_fk80;
ALTER TABLE project_scm DROP CONSTRAINT scmserverid_fk81;
ALTER TABLE snippet_idx DROP CONSTRAINT snippetid_fk82;
ALTER TABLE tracker_item DROP CONSTRAINT submittedby_fk83;
ALTER TABLE tracker_efe_transition_trigger DROP CONSTRAINT tef_tefid_fk84;
ALTER TABLE tracker_commit_trigger DROP CONSTRAINT tef_tefid_fk85;
ALTER TABLE tracker_efe_transition_trigger DROP CONSTRAINT tefe_elementid_fk86;
ALTER TABLE tracker_commit_trigger DROP CONSTRAINT tefe_elementid_fk87;
ALTER TABLE tracker_efe_transition_reassig DROP CONSTRAINT tefet_tefetid_fk88;
ALTER TABLE tracker_efe_transition_trigger DROP CONSTRAINT tefet_tefetid_fk89;
ALTER TABLE "user" DROP CONSTRAINT themeid_fk90;
ALTER TABLE tracker_efe_trans DROP CONSTRAINT toelementid_fk91;
ALTER TABLE wiki_page_link DROP CONSTRAINT towikipageid_fk92;
ALTER TABLE tracker_extra_field_element DROP CONSTRAINT trackerextrafieldid_fk93;
ALTER TABLE tracker_extra_field_data DROP CONSTRAINT trackerextrafieldid_fk94;
ALTER TABLE tracker_item DROP CONSTRAINT trackerid_fk95;
ALTER TABLE tracker_canned_response DROP CONSTRAINT trackerid_fk96;
ALTER TABLE tracker_extra_field DROP CONSTRAINT trackerid_fk97;
ALTER TABLE tracker_query DROP CONSTRAINT trackerid_fk98;
ALTER TABLE cruisecontrol_publisher DROP CONSTRAINT trackerid_fk99;
ALTER TABLE tracker_item_time DROP CONSTRAINT trackeritemid_fk100;
ALTER TABLE tracker_item_relation DROP CONSTRAINT trackeritemid_fk101;
ALTER TABLE tracker_item_assignee DROP CONSTRAINT trackeritemid_fk102;
ALTER TABLE tracker_item_message DROP CONSTRAINT trackeritemid_fk103;
ALTER TABLE tracker_extra_field_data DROP CONSTRAINT trackeritemid_fk104;
ALTER TABLE tracker_item_scm_commit DROP CONSTRAINT trackeritemid_fk105;
ALTER TABLE tracker_item_idx DROP CONSTRAINT trackeritemid_fk106;
ALTER TABLE tracker_item_duplicate DROP CONSTRAINT trackeritemid_fk107;
ALTER TABLE cruisecontrol_defect DROP CONSTRAINT trackeritemid_fk108;
ALTER TABLE tracker_my_queue DROP CONSTRAINT trackeritemid_fk109;
ALTER TABLE tracker_item_message_idx DROP CONSTRAINT trackeritemmessageid_fk110;
ALTER TABLE tracker_query_field DROP CONSTRAINT trackerqueryid_fk111;
ALTER TABLE tracker_item_time DROP CONSTRAINT trackertimecodeid_fk112;
ALTER TABLE tracker_commit_trigger DROP CONSTRAINT trackertrackerid_fk113;
ALTER TABLE tracker_commit_reassign_trigge DROP CONSTRAINT trackertrackerid_fk114;
ALTER TABLE trove_link_count DROP CONSTRAINT trovecategory_fk115;
ALTER TABLE trove_link DROP CONSTRAINT trovecategoryid_fk116;
ALTER TABLE user_unix DROP CONSTRAINT unixshellid_fk117;
ALTER TABLE usergroup_user DROP CONSTRAINT usergroupid_fk118;
ALTER TABLE site_admin DROP CONSTRAINT userid_fk119;
ALTER TABLE filesystem DROP CONSTRAINT userid_fk120;
ALTER TABLE audit_trail DROP CONSTRAINT userid_fk121;
ALTER TABLE user_unix DROP CONSTRAINT userid_fk122;
ALTER TABLE forum_thread DROP CONSTRAINT userid_fk123;
ALTER TABLE forum_message DROP CONSTRAINT userid_fk124;
ALTER TABLE frs_release DROP CONSTRAINT userid_fk125;
ALTER TABLE mailman DROP CONSTRAINT userid_fk126;
ALTER TABLE news DROP CONSTRAINT userid_fk127;
ALTER TABLE user_session DROP CONSTRAINT userid_fk128;
ALTER TABLE snippet DROP CONSTRAINT userid_fk129;
ALTER TABLE survey_response DROP CONSTRAINT userid_fk130;
ALTER TABLE user_project DROP CONSTRAINT userid_fk131;
ALTER TABLE user_preference DROP CONSTRAINT userid_fk132;
ALTER TABLE tracker_item_time DROP CONSTRAINT userid_fk133;
ALTER TABLE tracker_item_assignee DROP CONSTRAINT userid_fk134;
ALTER TABLE tracker_item_message DROP CONSTRAINT userid_fk135;
ALTER TABLE notification_queue DROP CONSTRAINT userid_fk136;
ALTER TABLE scm_user_stats DROP CONSTRAINT userid_fk137;
ALTER TABLE user_plugin DROP CONSTRAINT userid_fk138;
ALTER TABLE user_watched_project DROP CONSTRAINT userid_fk139;
ALTER TABLE project_join_request DROP CONSTRAINT userid_fk140;
ALTER TABLE scm_commit DROP CONSTRAINT userid_fk141;
ALTER TABLE tracker_query DROP CONSTRAINT userid_fk142;
ALTER TABLE wiki_version DROP CONSTRAINT userid_fk143;
ALTER TABLE docman_file_version DROP CONSTRAINT userid_fk144;
ALTER TABLE scm_module_user DROP CONSTRAINT userid_fk145;
ALTER TABLE cruisecontrol_assignee DROP CONSTRAINT userid_fk146;
ALTER TABLE monitor DROP CONSTRAINT userid_fk147;
ALTER TABLE tracker_extra_field_element DROP CONSTRAINT userid_fk148;
ALTER TABLE users_idx DROP CONSTRAINT userid_fk149;
ALTER TABLE cruisecontrol DROP CONSTRAINT userid_fk150;
ALTER TABLE cruisecontrol_build_change_use DROP CONSTRAINT userid_fk151;
ALTER TABLE jabber_connected_user DROP CONSTRAINT userid_fk152;
ALTER TABLE tracker_my_queue DROP CONSTRAINT userid_fk153;
ALTER TABLE user_project_role DROP CONSTRAINT userprojectid_fk154;
ALTER TABLE wiki_version DROP CONSTRAINT wikipageid_fk155;
ALTER TABLE wiki_project_setting DROP CONSTRAINT wikiprojectsetting_proje_fk156;

ALTER TABLE wiki_version DROP CONSTRAINT wiki_version_pkey;
ALTER TABLE wiki_project_setting DROP CONSTRAINT wiki_project_setting_pkey;
ALTER TABLE wiki_page DROP CONSTRAINT wiki_page_pkey;
ALTER TABLE wiki_page_link DROP CONSTRAINT wiki_page_link_pkey;
ALTER TABLE usergroup_user DROP CONSTRAINT usergroup_user_pkey;
ALTER TABLE user_watched_project DROP CONSTRAINT user_watched_project_pkey;
ALTER TABLE user_unix DROP CONSTRAINT user_unix_pkey;
ALTER TABLE "user" DROP CONSTRAINT user_unix_name_key;
ALTER TABLE user_session DROP CONSTRAINT user_session_pkey;
ALTER TABLE user_project DROP CONSTRAINT user_project_pkey;
ALTER TABLE user_preference DROP CONSTRAINT user_preference_pkey;
ALTER TABLE user_plugin DROP CONSTRAINT user_plugin_pkey;
ALTER TABLE "user" DROP CONSTRAINT user_pkey;
ALTER TABLE unix_shell DROP CONSTRAINT unix_shell_pkey;
ALTER TABLE trove_link DROP CONSTRAINT trove_link_pkey;
ALTER TABLE trove_link_count DROP CONSTRAINT trove_link_count_pkey;
ALTER TABLE trove_category DROP CONSTRAINT trove_category_pkey;
ALTER TABLE tracker_time_code DROP CONSTRAINT tracker_time_code_pkey;
ALTER TABLE tracker_query DROP CONSTRAINT tracker_query_pkey;
ALTER TABLE tracker_query_field DROP CONSTRAINT tracker_query_field_pkey;
ALTER TABLE tracker DROP CONSTRAINT tracker_pkey;
ALTER TABLE tracker_my_queue DROP CONSTRAINT tracker_my_queue_pkey;
ALTER TABLE tracker_item_time DROP CONSTRAINT tracker_item_time_pkey;
ALTER TABLE tracker_item_relation DROP CONSTRAINT tracker_item_relation_pkey;
ALTER TABLE tracker_item DROP CONSTRAINT tracker_item_pkey;
ALTER TABLE tracker_item_message DROP CONSTRAINT tracker_item_message_pkey;
ALTER TABLE tracker_item_duplicate DROP CONSTRAINT tracker_item_duplicate_pkey;
ALTER TABLE tracker_item_assignee DROP CONSTRAINT tracker_item_assignee_pkey;
ALTER TABLE tracker_extra_field DROP CONSTRAINT tracker_extra_field_pkey;
ALTER TABLE tracker_efe_trans_role DROP CONSTRAINT tracker_extra_field_eleme_pkey;
ALTER TABLE tracker_efe_trans DROP CONSTRAINT tracker_extra_field_eleme_pkey;
ALTER TABLE tracker_efe_trans_notify DROP CONSTRAINT tracker_extra_field_eleme_pkey;
ALTER TABLE tracker_efe_trans_field DROP CONSTRAINT tracker_extra_field_eleme_pkey;
ALTER TABLE tracker_extra_field_element DROP CONSTRAINT tracker_extra_field_eleme_pkey;
ALTER TABLE tracker_extra_field_data DROP CONSTRAINT tracker_extra_field_data_pkey;
ALTER TABLE tracker_efe_transition_reassig DROP CONSTRAINT tracker_efe_transition_re_pkey;
ALTER TABLE tracker_commit_reassign_trigge DROP CONSTRAINT tracker_commit_reassign_t_pkey;
ALTER TABLE tracker_canned_response DROP CONSTRAINT tracker_canned_response_pkey;
ALTER TABLE theme DROP CONSTRAINT theme_pkey;
ALTER TABLE survey_response DROP CONSTRAINT survey_response_pkey;
ALTER TABLE survey_question DROP CONSTRAINT survey_question_pkey;
ALTER TABLE survey DROP CONSTRAINT survey_pkey;
ALTER TABLE stats_site_page_view DROP CONSTRAINT stats_site_page_view_pkey;
ALTER TABLE stats_project_page_view DROP CONSTRAINT stats_project_page_view_pkey;
ALTER TABLE snippet DROP CONSTRAINT snippet_pkey;
ALTER TABLE site_admin DROP CONSTRAINT site_admin_pkey;
ALTER TABLE scm_user_stats DROP CONSTRAINT scm_user_stats_pkey;
ALTER TABLE scm_server DROP CONSTRAINT scm_server_pkey;
ALTER TABLE scm_project_stats DROP CONSTRAINT scm_project_stats_pkey;
ALTER TABLE scm_preference DROP CONSTRAINT scm_preference_pkey;
ALTER TABLE scm_module_user DROP CONSTRAINT scm_module_user_pkey;
ALTER TABLE scm_module DROP CONSTRAINT scm_module_pkey;
ALTER TABLE scm_commit DROP CONSTRAINT scm_commit_pkey;
ALTER TABLE scm_commit_filter_project DROP CONSTRAINT scm_commit_filter_project_pkey;
ALTER TABLE scm_commit_filter DROP CONSTRAINT scm_commit_filter_pkey;
ALTER TABLE scm_commit_file DROP CONSTRAINT scm_commit_file_pkey;
ALTER TABLE role_setting DROP CONSTRAINT role_setting_pkey;
ALTER TABLE role DROP CONSTRAINT role_pkey;
ALTER TABLE project DROP CONSTRAINT project_unix_name_key;
ALTER TABLE project_scm DROP CONSTRAINT project_scm_pkey;
ALTER TABLE project_plugin DROP CONSTRAINT project_plugin_pkey;
ALTER TABLE project DROP CONSTRAINT project_pkey;
ALTER TABLE project_join_request DROP CONSTRAINT project_join_request_pkey;
ALTER TABLE project_export_request DROP CONSTRAINT project_export_request_pkey;
ALTER TABLE project_activity DROP CONSTRAINT project_activity_pkey;
ALTER TABLE plugin DROP CONSTRAINT plugin_plugin_name_key;
ALTER TABLE plugin DROP CONSTRAINT plugin_pkey;
ALTER TABLE notification_queue DROP CONSTRAINT notification_queue_pkey;
ALTER TABLE news DROP CONSTRAINT news_pkey;
ALTER TABLE my_report_user DROP CONSTRAINT my_report_user_pkey;
ALTER TABLE my_report_tracker DROP CONSTRAINT my_report_tracker_pkey;
ALTER TABLE my_report_project DROP CONSTRAINT my_report_project_pkey;
ALTER TABLE my_report_field_value DROP CONSTRAINT my_report_field_value_pkey;
ALTER TABLE my_report_field_filter DROP CONSTRAINT my_report_field_filter_pkey;
ALTER TABLE my_report_field_display DROP CONSTRAINT my_report_field_display_pkey;
ALTER TABLE my_report DROP CONSTRAINT my_report__pkey;
ALTER TABLE monitor DROP CONSTRAINT monitor_pkey;
ALTER TABLE mailman DROP CONSTRAINT mailman_pkey;
ALTER TABLE "language" DROP CONSTRAINT language_pkey;
ALTER TABLE jabber_project_log DROP CONSTRAINT jabber_project_log_pkey;
ALTER TABLE jabber_notification DROP CONSTRAINT jabber_notification_pkey;
ALTER TABLE jabber_connected_user DROP CONSTRAINT jabber_connected_user_pkey;
ALTER TABLE frs_release DROP CONSTRAINT frs_release_pkey;
ALTER TABLE frs_package DROP CONSTRAINT frs_package_pkey;
ALTER TABLE forum_thread DROP CONSTRAINT forum_thread_pkey;
ALTER TABLE forum DROP CONSTRAINT forum_pkey;
ALTER TABLE forum_message DROP CONSTRAINT forum_message_pkey;
ALTER TABLE filesystem DROP CONSTRAINT filesystem_pkey;
ALTER TABLE docman_folder DROP CONSTRAINT docman_folder_pkey;
ALTER TABLE docman_file_version DROP CONSTRAINT docman_file_version_pkey;
ALTER TABLE docman_file DROP CONSTRAINT docman_file_pkey;
ALTER TABLE disk_usage DROP CONSTRAINT disk_usage_pkey;
ALTER TABLE deleted_project DROP CONSTRAINT deleted_project_pkey;
ALTER TABLE deleted_mailing_list DROP CONSTRAINT deleted_mailing_list_pkey;
ALTER TABLE cruisecontrol_publisher DROP CONSTRAINT cruisecontrol_publisher_pkey;
ALTER TABLE cruisecontrol DROP CONSTRAINT cruisecontrol_pkey;
ALTER TABLE cruisecontrol_defect DROP CONSTRAINT cruisecontrol_defect_pkey;
ALTER TABLE cruisecontrol_build DROP CONSTRAINT cruisecontrol_build_pkey;
ALTER TABLE cruisecontrol_build_change_use DROP CONSTRAINT cruisecontrol_build_chang_pkey;
ALTER TABLE cruisecontrol_assignee DROP CONSTRAINT cruisecontrol_assignee_pkey;
ALTER TABLE country_code DROP CONSTRAINT country_code_pkey;
ALTER TABLE audit_trail DROP CONSTRAINT audit_trail_pkey;
ALTER TABLE association DROP CONSTRAINT associations_pkey;
DROP TABLE wiki_version CASCADE CONSTRAINTS;
DROP TABLE wiki_project_setting CASCADE CONSTRAINTS;
DROP TABLE wiki_page_link CASCADE CONSTRAINTS;
DROP TABLE wiki_page CASCADE CONSTRAINTS;
DROP TABLE users_idx CASCADE CONSTRAINTS;
DROP TABLE usergroup_user CASCADE CONSTRAINTS;
DROP TABLE user_watched_project CASCADE CONSTRAINTS;
DROP TABLE user_unix CASCADE CONSTRAINTS;
DROP TABLE user_session CASCADE CONSTRAINTS;
DROP TABLE user_project_role CASCADE CONSTRAINTS;
DROP TABLE user_project CASCADE CONSTRAINTS;
DROP TABLE user_preference CASCADE CONSTRAINTS;
DROP TABLE user_plugin CASCADE CONSTRAINTS;
DROP TABLE unix_shell CASCADE CONSTRAINTS;
DROP TABLE trove_link_count CASCADE CONSTRAINTS;
DROP TABLE trove_link CASCADE CONSTRAINTS;
DROP TABLE trove_category CASCADE CONSTRAINTS;
DROP TABLE tracker_time_code CASCADE CONSTRAINTS;
DROP TABLE tracker_query_field CASCADE CONSTRAINTS;
DROP TABLE tracker_query CASCADE CONSTRAINTS;
DROP TABLE tracker_my_queue CASCADE CONSTRAINTS;
DROP TABLE tracker_item_time CASCADE CONSTRAINTS;
DROP TABLE tracker_item_scm_commit CASCADE CONSTRAINTS;
DROP TABLE tracker_item_relation CASCADE CONSTRAINTS;
DROP TABLE tracker_item_message_idx CASCADE CONSTRAINTS;
DROP TABLE tracker_item_message CASCADE CONSTRAINTS;
DROP TABLE tracker_item_idx CASCADE CONSTRAINTS;
DROP TABLE tracker_item_duplicate CASCADE CONSTRAINTS;
DROP TABLE tracker_item_assignee CASCADE CONSTRAINTS;
DROP TABLE tracker_efe_trans_role CASCADE CONSTRAINTS;
DROP TABLE tracker_efe_trans_notify CASCADE CONSTRAINTS;
DROP TABLE tracker_efe_trans_field CASCADE CONSTRAINTS;
DROP TABLE tracker_efe_trans CASCADE CONSTRAINTS;
DROP TABLE tracker_extra_field_element CASCADE CONSTRAINTS;
DROP TABLE tracker_extra_field_data CASCADE CONSTRAINTS;
DROP TABLE tracker_extra_field CASCADE CONSTRAINTS;
DROP TABLE tracker_efe_transition_trigger CASCADE CONSTRAINTS;
DROP TABLE tracker_efe_transition_reassig CASCADE CONSTRAINTS;
DROP TABLE tracker_commit_trigger CASCADE CONSTRAINTS;
DROP TABLE tracker_commit_reassign_trigge CASCADE CONSTRAINTS;
DROP TABLE tracker_canned_response CASCADE CONSTRAINTS;
DROP TABLE theme CASCADE CONSTRAINTS;
DROP TABLE survey_response CASCADE CONSTRAINTS;
DROP TABLE survey_question CASCADE CONSTRAINTS;
DROP TABLE survey CASCADE CONSTRAINTS;
DROP TABLE stats_site_page_view CASCADE CONSTRAINTS;
DROP TABLE stats_project_page_view CASCADE CONSTRAINTS;
DROP TABLE snippet_idx CASCADE CONSTRAINTS;
DROP TABLE snippet CASCADE CONSTRAINTS;
DROP TABLE site_admin CASCADE CONSTRAINTS;
DROP TABLE scm_user_stats CASCADE CONSTRAINTS;
DROP TABLE scm_server CASCADE CONSTRAINTS;
DROP TABLE scm_project_stats CASCADE CONSTRAINTS;
DROP TABLE scm_preference CASCADE CONSTRAINTS;
DROP TABLE scm_module_user CASCADE CONSTRAINTS;
DROP TABLE scm_module CASCADE CONSTRAINTS;
DROP TABLE scm_commit_filter_project CASCADE CONSTRAINTS;
DROP TABLE scm_commit_filter CASCADE CONSTRAINTS;
DROP TABLE scm_commit_file CASCADE CONSTRAINTS;
DROP TABLE role_setting CASCADE CONSTRAINTS;
DROP TABLE role CASCADE CONSTRAINTS;
DROP TABLE projects_idx CASCADE CONSTRAINTS;
DROP TABLE project_scm CASCADE CONSTRAINTS;
DROP TABLE project_plugin CASCADE CONSTRAINTS;
DROP TABLE project_join_request CASCADE CONSTRAINTS;
DROP TABLE project_export_request CASCADE CONSTRAINTS;
DROP VIEW project_activity_vw;
DROP TABLE "user" CASCADE CONSTRAINTS;
DROP TABLE tracker_item CASCADE CONSTRAINTS;
DROP TABLE tracker CASCADE CONSTRAINTS;
DROP TABLE scm_commit CASCADE CONSTRAINTS;
DROP TABLE project_activity CASCADE CONSTRAINTS;
DROP TABLE project CASCADE CONSTRAINTS;
DROP TABLE plugin_dependency CASCADE CONSTRAINTS;
DROP TABLE plugin CASCADE CONSTRAINTS;
DROP TABLE notification_queue CASCADE CONSTRAINTS;
DROP TABLE news_idx CASCADE CONSTRAINTS;
DROP TABLE news CASCADE CONSTRAINTS;
DROP TABLE my_report_user CASCADE CONSTRAINTS;
DROP TABLE my_report_tracker CASCADE CONSTRAINTS;
DROP TABLE my_report_project CASCADE CONSTRAINTS;
DROP TABLE my_report_field_value CASCADE CONSTRAINTS;
DROP TABLE my_report_field_filter CASCADE CONSTRAINTS;
DROP TABLE my_report_field_display CASCADE CONSTRAINTS;
DROP TABLE my_report CASCADE CONSTRAINTS;
DROP TABLE monitor CASCADE CONSTRAINTS;
DROP TABLE mailman CASCADE CONSTRAINTS;
DROP TABLE "language" CASCADE CONSTRAINTS;
DROP TABLE jabber_project_log_idx CASCADE CONSTRAINTS;
DROP TABLE jabber_project_log CASCADE CONSTRAINTS;
DROP TABLE jabber_notification CASCADE CONSTRAINTS;
DROP TABLE jabber_connected_user CASCADE CONSTRAINTS;
DROP TABLE frs_release_idx CASCADE CONSTRAINTS;
DROP TABLE frs_release CASCADE CONSTRAINTS;
DROP TABLE frs_package CASCADE CONSTRAINTS;
DROP TABLE forum_thread CASCADE CONSTRAINTS;
DROP TABLE forum_message_idx CASCADE CONSTRAINTS;
DROP TABLE forum_message CASCADE CONSTRAINTS;
DROP TABLE forum CASCADE CONSTRAINTS;
DROP TABLE filesystem_idx CASCADE CONSTRAINTS;
DROP TABLE filesystem_download CASCADE CONSTRAINTS;
DROP TABLE filesystem CASCADE CONSTRAINTS;
DROP TABLE docman_folder CASCADE CONSTRAINTS;
DROP TABLE docman_file_version_idx CASCADE CONSTRAINTS;
DROP TABLE docman_file_version CASCADE CONSTRAINTS;
DROP TABLE docman_file_idx CASCADE CONSTRAINTS;
DROP TABLE docman_file CASCADE CONSTRAINTS;
DROP TABLE disk_usage CASCADE CONSTRAINTS;
DROP TABLE deleted_project CASCADE CONSTRAINTS;
DROP TABLE deleted_mailing_list CASCADE CONSTRAINTS;
DROP TABLE database_changes CASCADE CONSTRAINTS;
DROP TABLE cruisecontrol_publisher CASCADE CONSTRAINTS;
DROP TABLE cruisecontrol_defect CASCADE CONSTRAINTS;
DROP TABLE cruisecontrol_build_change_use CASCADE CONSTRAINTS;
DROP TABLE cruisecontrol_build CASCADE CONSTRAINTS;
DROP TABLE cruisecontrol_assignee CASCADE CONSTRAINTS;
DROP TABLE cruisecontrol CASCADE CONSTRAINTS;
DROP TABLE cron_history CASCADE CONSTRAINTS;
DROP TABLE country_code CASCADE CONSTRAINTS;
DROP TABLE audit_trail CASCADE CONSTRAINTS;
DROP TABLE association CASCADE CONSTRAINTS;
DROP TABLE activity_log CASCADE CONSTRAINTS;
DROP SEQUENCE activity_log_SEQ;
DROP SEQUENCE association_SEQ;
DROP SEQUENCE audit_trail_SEQ;
DROP SEQUENCE country_code_SEQ;
DROP SEQUENCE cron_history_SEQ;
DROP SEQUENCE cruisecontrol_SEQ;
DROP SEQUENCE cruisecontrol_assignee_SEQ;
DROP SEQUENCE cruisecontrol_build_SEQ;
DROP SEQUENCE cruisecontrol_build_change_SEQ;
DROP SEQUENCE cruisecontrol_defect_SEQ;
DROP SEQUENCE cruisecontrol_publisher_SEQ;
DROP SEQUENCE database_changes_SEQ;
DROP SEQUENCE deleted_mailing_list_SEQ;
DROP SEQUENCE deleted_project_SEQ;
DROP SEQUENCE disk_usage_SEQ;
DROP SEQUENCE docman_file_SEQ;
DROP SEQUENCE docman_file_idx_SEQ;
DROP SEQUENCE docman_file_version_SEQ;
DROP SEQUENCE docman_file_version_idx_SEQ;
DROP SEQUENCE docman_folder_SEQ;
DROP SEQUENCE filesystem_SEQ;
DROP SEQUENCE filesystem_download_SEQ;
DROP SEQUENCE filesystem_idx_SEQ;
DROP SEQUENCE forum_SEQ;
DROP SEQUENCE forum_message_SEQ;
DROP SEQUENCE forum_message_idx_SEQ;
DROP SEQUENCE forum_thread_SEQ;
DROP SEQUENCE frs_package_SEQ;
DROP SEQUENCE frs_release_SEQ;
DROP SEQUENCE frs_release_idx_SEQ;
DROP SEQUENCE jabber_connected_user_SEQ;
DROP SEQUENCE jabber_notification_SEQ;
DROP SEQUENCE jabber_project_log_SEQ;
DROP SEQUENCE jabber_project_log_idx_SEQ;
DROP SEQUENCE language_SEQ;
DROP SEQUENCE mailman_SEQ;
DROP SEQUENCE monitor_SEQ;
DROP SEQUENCE my_report_SEQ;
DROP SEQUENCE my_report_field_display_SEQ;
DROP SEQUENCE my_report_field_filter_SEQ;
DROP SEQUENCE my_report_field_value_SEQ;
DROP SEQUENCE my_report_project_SEQ;
DROP SEQUENCE my_report_tracker_SEQ;
DROP SEQUENCE my_report_user_SEQ;
DROP SEQUENCE news_SEQ;
DROP SEQUENCE news_idx_SEQ;
DROP SEQUENCE notification_queue_SEQ;
DROP SEQUENCE plugin_SEQ;
DROP SEQUENCE plugin_dependency_SEQ;
DROP SEQUENCE project_SEQ;
DROP SEQUENCE project_activity_SEQ;
DROP SEQUENCE scm_commit_SEQ;
DROP SEQUENCE tracker_SEQ;
DROP SEQUENCE tracker_item_SEQ;
DROP SEQUENCE user_SEQ;
DROP SEQUENCE project_export_request_SEQ;
DROP SEQUENCE project_join_request_SEQ;
DROP SEQUENCE project_plugin_SEQ;
DROP SEQUENCE project_scm_SEQ;
DROP SEQUENCE projects_idx_SEQ;
DROP SEQUENCE role_SEQ;
DROP SEQUENCE role_setting_SEQ;
DROP SEQUENCE scm_commit_file_SEQ;
DROP SEQUENCE scm_commit_filter_SEQ;
DROP SEQUENCE scm_commit_filter_project_SEQ;
DROP SEQUENCE scm_module_SEQ;
DROP SEQUENCE scm_module_user_SEQ;
DROP SEQUENCE scm_preference_SEQ;
DROP SEQUENCE scm_project_stats_SEQ;
DROP SEQUENCE scm_server_SEQ;
DROP SEQUENCE scm_user_stats_SEQ;
DROP SEQUENCE site_admin_SEQ;
DROP SEQUENCE snippet_SEQ;
DROP SEQUENCE snippet_idx_SEQ;
DROP SEQUENCE stats_project_page_view_SEQ;
DROP SEQUENCE stats_site_page_view_SEQ;
DROP SEQUENCE survey_SEQ;
DROP SEQUENCE survey_question_SEQ;
DROP SEQUENCE survey_response_SEQ;
DROP SEQUENCE theme_SEQ;
DROP SEQUENCE tracker_canned_response_SEQ;
DROP SEQUENCE tracker_commit_reassign_tr_SEQ;
DROP SEQUENCE tracker_commit_trigger_SEQ;
DROP SEQUENCE tracker_efe_transition_rea_SEQ;
DROP SEQUENCE tracker_efe_transition_tri_SEQ;
DROP SEQUENCE tracker_extra_field_SEQ;
DROP SEQUENCE tracker_extra_field_data_SEQ;
DROP SEQUENCE tracker_extra_field_elemen_SEQ;
DROP SEQUENCE tracker_efe_trans_SEQ;
DROP SEQUENCE tracker_efe_trans_role_SEQ;
DROP SEQUENCE tracker_efe_trans_notify_SEQ;
DROP SEQUENCE tracker_efe_trans_field_SEQ;
DROP SEQUENCE tracker_item_assignee_SEQ;
DROP SEQUENCE tracker_item_duplicate_SEQ;
DROP SEQUENCE tracker_item_idx_SEQ;
DROP SEQUENCE tracker_item_message_SEQ;
DROP SEQUENCE tracker_item_message_idx_SEQ;
DROP SEQUENCE tracker_item_relation_SEQ;
DROP SEQUENCE tracker_item_scm_commit_SEQ;
DROP SEQUENCE tracker_item_time_SEQ;
DROP SEQUENCE tracker_my_queue_SEQ;
DROP SEQUENCE tracker_query_SEQ;
DROP SEQUENCE tracker_query_field_SEQ;
DROP SEQUENCE tracker_time_code_SEQ;
DROP SEQUENCE trove_category_SEQ;
DROP SEQUENCE trove_link_SEQ;
DROP SEQUENCE trove_link_count_SEQ;
DROP SEQUENCE unix_shell_SEQ;
DROP SEQUENCE user_SEQ;
DROP SEQUENCE user_plugin_SEQ;
DROP SEQUENCE user_preference_SEQ;
DROP SEQUENCE user_project_SEQ;
DROP SEQUENCE user_project_role_SEQ;
DROP SEQUENCE user_session_SEQ;
DROP SEQUENCE user_unix_SEQ;
DROP SEQUENCE user_watched_project_SEQ;
DROP SEQUENCE usergroup_user_SEQ;
DROP SEQUENCE users_idx_SEQ;
DROP SEQUENCE wiki_page_SEQ;
DROP SEQUENCE wiki_page_link_SEQ;
DROP SEQUENCE wiki_project_setting_SEQ;
DROP SEQUENCE wiki_version_SEQ;



--
-- Name: activity_log; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE activity_log (
    activity_date timestamp with time zone  NOT NULL,
    project_id integer DEFAULT 0,
    page clob,
    activity_type integer DEFAULT 0
);


--
-- Name: association; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE association (
    section varchar2(20) NOT NULL,
    ref_id integer NOT NULL,
    to_section varchar2(20) NOT NULL,
    to_ref_id integer NOT NULL,
    "comment" clob
);


--
-- Name: audit_trail; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE audit_trail (
    audit_trail_id integer NOT NULL,
    change_date timestamp with time zone ,
    user_id integer NOT NULL,
    section varchar2(20),
    ref_id integer DEFAULT 0,
    field_name varchar2(20),
    new_value clob,
    old_value clob
);


--
-- Name: country_code; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE country_code (
    country_name varchar2(80),
    ccode character(2) NOT NULL
);


--
-- Name: cron_history; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE cron_history (
    rundate timestamp with time zone ,
    job clob,
    output clob
);



--
-- Name: cruisecontrol; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE cruisecontrol (
    project_id integer NOT NULL,
    last_modified_date timestamp with time zone ,
    cruisecontrol_id integer NOT NULL,
    build_name clob,
    build_description clob,
    submitter_id integer NOT NULL
);


--
-- Name: cruisecontrol_assignee; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE cruisecontrol_assignee (
    cruisecontrol_id integer NOT NULL,
    assignee integer NOT NULL
);


--
-- Name: cruisecontrol_build; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE cruisecontrol_build (
    cruisecontrol_build_id integer NOT NULL,
    cruisecontrol_id integer NOT NULL,
    cruisecontrol_defect_id integer DEFAULT 0,
    build_date timestamp with time zone  NOT NULL,
    was_successful number(1,0) DEFAULT 1,
    was_fix number(1,0) DEFAULT 1,
    was_necessary number(1,0) DEFAULT 1,
    description clob
);


--
-- Name: cruisecontrol_build_change_use; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE cruisecontrol_build_change_use (
    cruisecontrol_build_id integer NOT NULL,
    user_id integer NOT NULL
);


--
-- Name: cruisecontrol_defect; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE cruisecontrol_defect (
    cruisecontrol_defect_id integer NOT NULL,
    cruisecontrol_id integer NOT NULL,
    tracker_item_id integer NOT NULL,
    open number(1,0) DEFAULT 1
);


--
-- Name: cruisecontrol_publisher; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE cruisecontrol_publisher (
    cruisecontrol_id integer NOT NULL,
    tracker_id integer NOT NULL
);


--
-- Name: database_changes; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE database_changes (
    filename clob,
    filedate clob
);


--
-- Name: deleted_mailing_list; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE deleted_mailing_list (
    delete_date timestamp with time zone ,
    isdeleted number(1,0) DEFAULT 0,
    mailing_list_name varchar2(1000) NOT NULL
);


--
-- Name: deleted_project; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE deleted_project (
    unix_group_name varchar2(30) NOT NULL,
    delete_date timestamp with time zone ,
    isdeleted number(1,0) DEFAULT 0
);


--
-- Name: disk_usage; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE disk_usage (
    project_id integer NOT NULL,
    check_date date  NOT NULL,
    bytes_used numeric(10)
);


--
-- Name: docman_file; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE docman_file (
    docman_file_id integer NOT NULL,
    docman_folder_id integer NOT NULL,
    description clob,
    is_locked number(1,0) DEFAULT 1
);


--
-- Name: docman_file_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE docman_file_idx (
    docman_file_id integer,
    vectors clob
);


--
-- Name: docman_file_version; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE docman_file_version (
    docman_file_version_id integer NOT NULL,
    docman_file_id integer NOT NULL,
    create_date timestamp with time zone  NOT NULL,
    changes clob,
    version_number double precision,
    created_by integer NOT NULL,
    is_approved number(1,0) DEFAULT 0
);


--
-- Name: docman_file_version_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE docman_file_version_idx (
    docman_file_version_id integer,
    vectors clob
);


--
-- Name: docman_folder; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE docman_folder (
    docman_folder_id integer NOT NULL,
    project_id integer NOT NULL,
    folder_name clob,
    is_public number(1,0) DEFAULT 1,
    parent_folder_id integer DEFAULT 0,
    doc_count integer DEFAULT 0,
    sort_order integer DEFAULT 0
);


--
-- Name: filesystem; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE filesystem (
    filesystem_id integer NOT NULL,
    section varchar2(20),
    ref_id integer,
    file_name clob,
    file_name_safe clob,
    file_type clob,
    deleted number(1,0) DEFAULT 0,
    posted_by integer NOT NULL,
    download_count integer DEFAULT 0,
    strings clob,
    md5_hash character(32),
    file_size numeric(10)
);


--
-- Name: filesystem_download; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE filesystem_download (
    ip_address clob,
    filesystem_id integer,
    download_date timestamp with time zone ,
    user_id integer
);


--
-- Name: filesystem_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE filesystem_idx (
    filesystem_id integer,
    vectors clob
);


--
-- Name: forum; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE forum (
    forum_id integer NOT NULL,
    section varchar2(20) NOT NULL,
    ref_id integer NOT NULL,
    forum_name clob NOT NULL,
    is_public number(1,0) DEFAULT 1,
    description clob,
    send_all_posts_to clob,
    thread_count integer DEFAULT 0,
    message_count integer DEFAULT 0,
    most_recent_date timestamp with time zone ,
    moderation_level integer DEFAULT 0
);


--
-- Name: forum_message; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE forum_message (
    forum_message_id integer NOT NULL,
    forum_thread_id integer NOT NULL,
    created_by integer NOT NULL,
    subject clob NOT NULL,
    body clob NOT NULL,
    post_date timestamp with time zone ,
    parent_forum_message_id integer DEFAULT 0,
    mail_msg_id clob,
    mail_sender clob,
    is_approved number(1,0) DEFAULT 1
);


--
-- Name: forum_message_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE forum_message_idx (
    forum_message_id integer,
    forum_thread_id integer,
    vectors clob
);


--
-- Name: forum_thread; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE forum_thread (
    forum_thread_id integer NOT NULL,
    forum_id integer NOT NULL,
    created_by integer NOT NULL,
    thread_name clob,
    message_count integer DEFAULT 0,
    most_recent_date timestamp with time zone ,
    is_sticky number(1,0) DEFAULT 0,
    is_locked number(1,0) DEFAULT 0,
    page_views integer DEFAULT 0
);


--
-- Name: frs_package; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE frs_package (
    frs_package_id integer NOT NULL,
    project_id integer NOT NULL,
    package_name varchar2(1000),
    status_id integer DEFAULT 1,
    is_public number(1,0) DEFAULT 1,
    require_login number(1,0) DEFAULT 0
);


--
-- Name: frs_release; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE frs_release (
    frs_release_id integer NOT NULL,
    frs_package_id integer NOT NULL,
    release_name varchar2(1000),
    release_notes clob,
    changes clob,
    status_id integer DEFAULT 1,
    preformatted number(1,0) DEFAULT 0,
    release_date timestamp with time zone ,
    released_by integer NOT NULL,
    is_released number(1,0) DEFAULT 0
);


--
-- Name: frs_release_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE frs_release_idx (
    frs_release_id integer,
    vectors clob
);


--
-- Name: jabber_connected_user; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE jabber_connected_user (
    user_id integer NOT NULL
);


--
-- Name: jabber_notification; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE jabber_notification (
    jabber_notification_id integer NOT NULL,
    section varchar2(20) NOT NULL,
    ref_id integer NOT NULL,
    notification_date timestamp   NOT NULL,
    message clob,
    notified number(1,0) DEFAULT 0 NOT NULL
);


--
-- Name: jabber_project_log; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE jabber_project_log (
    jabber_project_log_id integer NOT NULL,
    project_id integer NOT NULL,
    message_date timestamp   NOT NULL,
    message clob
);


--
-- Name: jabber_project_log_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE jabber_project_log_idx (
    jabber_project_log_id integer,
    vectors clob
);


--
-- Name: language; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE "language" (
    language_id integer NOT NULL,
    name clob NOT NULL,
    filename clob NOT NULL,
    language_code character(5)
);


--
-- Name: mailman; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE mailman (
    mailman_id integer NOT NULL,
    project_id integer NOT NULL,
    list_name varchar(1000),
    is_public number(1,0) DEFAULT 1,
    list_password varchar2(16),
    created_by integer NOT NULL,
    status integer DEFAULT 1,
    list_description clob,
    create_date timestamp with time zone ,
    bytes_used numeric(10)
);


--
-- Name: monitor; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE monitor (
    section varchar2(20) NOT NULL,
    ref_id integer DEFAULT 0 NOT NULL,
    user_id integer NOT NULL
);


--
-- Name: my_report; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE my_report (
    my_report_id integer NOT NULL,
    user_id integer NOT NULL,
    is_shared number(1,0),
    report_name varchar2(40),
    open_date_start timestamp ,
    open_date_end timestamp ,
    close_date_start timestamp ,
    close_date_end timestamp ,
    report_type integer DEFAULT 0
);


--
-- Name: my_report_field_display; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE my_report_field_display (
    my_report_field_display_id integer NOT NULL,
    my_report_id integer NOT NULL,
    field_name clob NOT NULL,
    "type" integer NOT NULL,
    order_priority integer DEFAULT 0,
    order_asc number(1,0) DEFAULT 1,
    column_order integer
);


--
-- Name: my_report_field_filter; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE my_report_field_filter (
    my_report_field_filter_id integer NOT NULL,
    my_report_id integer NOT NULL,
    field_name clob NOT NULL,
    "type" integer NOT NULL
);


--
-- Name: my_report_field_value; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE my_report_field_value (
    my_report_field_value_id integer NOT NULL,
    my_report_field_filter_id integer NOT NULL,
    field_value clob NOT NULL,
    field_range_start clob NOT NULL,
    field_range_end clob NOT NULL
);


--
-- Name: my_report_project; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE my_report_project (
    my_report_id integer NOT NULL,
    project_id integer NOT NULL
);


--
-- Name: my_report_tracker; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE my_report_tracker (
    my_report_id integer NOT NULL,
    tracker_id integer NOT NULL
);


--
-- Name: my_report_user; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE my_report_user (
    my_report_id integer NOT NULL,
    user_id integer NOT NULL
);


--
-- Name: news; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE news (
    news_id integer NOT NULL,
    project_id integer NOT NULL,
    submitted_by integer NOT NULL,
    is_approved number(1,0) DEFAULT 0,
    post_date timestamp with time zone ,
    summary clob,
    details clob
);


--
-- Name: news_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE news_idx (
    news_id integer,
    vectors clob
);


--
-- Name: notification_queue; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE notification_queue (
    notification_queue_id integer NOT NULL,
    section varchar2(20),
    ref_id integer NOT NULL,
    user_id integer NOT NULL,
    subject clob,
    body clob,
    queue_date timestamp with time zone ,
    send_date timestamp with time zone 
);

--
-- Name: plugin; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE plugin (
    plugin_id integer NOT NULL,
    plugin_name varchar2(1000) NOT NULL,
    plugin_desc clob NOT NULL,
    plugin_type clob NOT NULL,
    plugin_order integer DEFAULT 0,
    exclusive_type clob
);


--
-- Name: plugin_dependency; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE plugin_dependency (
    plugin_id integer NOT NULL,
    dependson_plugin_id integer NOT NULL
);


--
-- Name: project; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE project (
    project_id integer NOT NULL,
    project_name varchar2(40),
    unix_name varchar2(30) NOT NULL,
    homepage_url clob,
    is_public number(1,0) DEFAULT 1,
    status integer DEFAULT 0,
    description clob,
    register_purpose clob,
    register_license_other clob,
    create_date timestamp with time zone ,
    template_project_id integer,
    is_template number(1,0) DEFAULT 0,
    parent_project_id integer DEFAULT 0,
    root_parent_project_id integer DEFAULT 0,
    root_path varchar2(1000),
    project_text1 clob,
    project_text2 clob,
    project_text3 clob,
    project_text4 clob,
    project_text5 clob,
    project_text6 clob,
    is_listed number(1,0) DEFAULT 0
);


--
-- Name: project_activity; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE project_activity (
    activity_date date NOT NULL,
    project_id integer NOT NULL,
    measure double precision
);


--
-- Name: scm_commit; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE scm_commit (
    scm_commit_id integer NOT NULL,
    project_id integer NOT NULL,
    commit_date timestamp with time zone ,
    message_log clob,
    user_id integer NOT NULL
);


--
-- Name: tracker; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker (
    tracker_id integer NOT NULL,
    project_id integer NOT NULL,
    tracker_name clob,
    description clob,
    is_public number(1,0) DEFAULT 1,
    restrict_browse number(1,0) DEFAULT 1,
    email_all_updates number(1,0) DEFAULT 0,
    email_address clob,
    due_period integer DEFAULT 2592000,
    submit_instructions clob,
    browse_instructions clob,
    datatype integer,
    item_total integer DEFAULT 0,
    open_count integer DEFAULT 0
);


--
-- Name: tracker_item; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_item (
    tracker_item_id integer NOT NULL,
    tracker_id integer NOT NULL,
    status_id integer DEFAULT 1,
    priority integer DEFAULT 3,
    submitted_by integer NOT NULL,
    open_date timestamp with time zone ,
    close_date timestamp with time zone,
    summary clob NOT NULL,
    details clob NOT NULL,
    last_modified_date timestamp with time zone ,
    last_modified_by integer DEFAULT 0,
    sort_order integer DEFAULT 0,
    parent_id integer DEFAULT 0
);


--
-- Name: user; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE "user" (
    user_id integer NOT NULL,
    unix_name varchar2(30) NOT NULL,
    email clob NOT NULL,
    status integer DEFAULT 0,
    password_md5 varchar2(32) NOT NULL,
    password_crypt varchar2(40) NOT NULL,
    create_date timestamp with time zone  NOT NULL,
    confirm_hash varchar2(32),
    email_new clob,
    timezone clob,
    date_format clob,
    address clob,
    address2 clob,
    phone clob,
    fax clob,
    title clob,
    firstname clob,
    lastname clob,
    ccode character(2) NOT NULL,
    language_id integer NOT NULL,
    theme_id integer NOT NULL,
    external_id clob,
    last_login timestamp with time zone ,
    user_text1 clob,
    user_text2 clob,
    user_text3 clob,
    user_text4 clob,
    user_text5 clob,
    user_text6 clob,
    is_group number(1,0) DEFAULT 0,
    password_change_date timestamp with time zone ,
    is_restricted number(1,0) DEFAULT 0
);


--
-- Name: project_activity_vw; Type: VIEW; Schema: public; Owner: gforge
--

--CREATE VIEW project_activity_vw AS
--    (((SELECT t.project_id, 'trackeritem' AS section, "at".ref_id, 0 AS subref_id, 'create' AS "action", "at".new_value AS description1, '' AS description2, "at".change_date AS activity_date, u.user_id, u.unix_name, u.firstname, u.lastname FROM audit_trail "at", tracker t, tracker_item ti, "user" u WHERE (((((("at".section) = 'trackeritem') AND (("at".field_name) = '_created_')) AND (ti.tracker_item_id = "at".ref_id)) AND (t.tracker_id = ti.tracker_id)) AND (u.user_id = "at".user_id)) UNION SELECT "at".ref_id AS project_id, 'trackeritem' AS section, 0 AS ref_id, 0 AS subref_id, 'delete' AS "action", "at".old_value AS description1, '' AS description2, "at".change_date AS activity_date, u.user_id, u.unix_name, u.firstname, u.lastname FROM audit_trail "at", "user" u WHERE ((((("at".section) = 'project') AND (("at".field_name) = 'trackeritem')) AND ("at".new_value = '_deleted_')) AND (u.user_id = "at".user_id))) UNION SELECT t.project_id, 'trackeritem' AS section, "at".ref_id, 0 AS subref_id, 'statuschange' AS "action", ti.summary AS description1, "at".new_value AS description2, "at".change_date AS activity_date, u.user_id, u.unix_name, u.firstname, u.lastname FROM audit_trail "at", tracker t, tracker_item ti, "user" u WHERE (((((("at".section) = 'trackeritem') AND (("at".field_name) = 'status')) AND (ti.tracker_item_id = "at".ref_id)) AND (t.tracker_id = ti.tracker_id)) AND (u.user_id = "at".user_id))) UNION SELECT sc.project_id, 'scm' AS section, sc.scm_commit_id AS ref_id, 0 AS subref_id, 'commit' AS "action", sc.message_log AS description1, '' AS description2, sc.commit_date AS activity_date, u.user_id, u.unix_name, u.firstname, u.lastname FROM scm_commit sc, "user" u WHERE (u.user_id = sc.user_id)) UNION SELECT f.ref_id AS project_id, 'forum' AS section, f.forum_id AS ref_id, fm.forum_message_id AS subref_id, '' AS "action", fm.subject AS description1, '' AS description2, fm.post_date AS activity_date, u.user_id, u.unix_name, u.firstname, u.lastname FROM forum f, forum_thread ft, forum_message fm, "user" u WHERE ((((u.user_id = fm.created_by) AND (ft.forum_thread_id = fm.forum_thread_id)) AND (ft.forum_id = f.forum_id)) AND ((f.section) = 'project'));


--
-- Name: project_export_request; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE project_export_request (
    project_id integer NOT NULL
);


--
-- Name: project_join_request; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE project_join_request (
    project_id integer NOT NULL,
    user_id integer NOT NULL,
    comments clob,
    request_date timestamp with time zone 
);


--
-- Name: project_plugin; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE project_plugin (
    project_id integer NOT NULL,
    plugin_id integer NOT NULL,
    plugin_order integer
);


--
-- Name: project_scm; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE project_scm (
    project_id integer NOT NULL,
    enable_anonread number(1,0) DEFAULT 1,
    scm_server_id integer NOT NULL,
    controlled number(1,0) DEFAULT 1,
    hostname clob,
    root_directory clob,
    external_browse_url clob,
    browse_text clob,
    access_text clob,
    bytes_used numeric(10)
);


--
-- Name: projects_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE projects_idx (
    project_id integer,
    vectors clob
);


--
-- Name: role; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE role (
    role_id integer NOT NULL,
    project_id integer NOT NULL,
    role_name varchar2(1000) NOT NULL
);


--
-- Name: role_setting; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE role_setting (
    role_id integer NOT NULL,
    section varchar2(20) NOT NULL,
    ref_id integer NOT NULL,
    value integer
);


--
-- Name: scm_commit_file; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE scm_commit_file (
    scm_commit_id integer NOT NULL,
    modified_file varchar2(1000) NOT NULL,
    prev_version clob,
    new_version clob,
    changed_lines integer DEFAULT 0
);


--
-- Name: scm_commit_filter; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE scm_commit_filter (
    scm_commit_filter_id integer NOT NULL,
    filter_description clob,
    plugin_id integer,
    filter_string clob
);


--
-- Name: scm_commit_filter_project; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE scm_commit_filter_project (
    scm_commit_filter_id integer NOT NULL,
    project_id integer NOT NULL
);


--
-- Name: scm_module; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE scm_module (
    scm_module_id integer NOT NULL,
    project_id integer NOT NULL,
    path clob,
    publish_to_www number(1,0) DEFAULT 0
);


--
-- Name: scm_module_user; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE scm_module_user (
    scm_module_id integer NOT NULL,
    user_id integer NOT NULL,
    "access" integer DEFAULT 0
);


--
-- Name: scm_preference; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE scm_preference (
    project_id integer NOT NULL,
    require_tracker_item_id number(1,0) DEFAULT 0 NOT NULL,
    mail_commits number(1,0) DEFAULT 0
);


--
-- Name: scm_project_stats; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE scm_project_stats (
    stat_date date NOT NULL,
    project_id integer NOT NULL,
    checkouts integer NOT NULL,
    commits integer NOT NULL,
    adds integer NOT NULL
);


--
-- Name: scm_server; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE scm_server (
    scm_server_id integer NOT NULL,
    scm_type clob,
    hostname clob
);


--
-- Name: scm_user_stats; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE scm_user_stats (
    stat_date date NOT NULL,
    project_id integer NOT NULL,
    user_id integer NOT NULL,
    checkouts integer NOT NULL,
    commits integer NOT NULL,
    adds integer NOT NULL
);


--
-- Name: site_admin; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE site_admin (
    user_id integer NOT NULL
);


--
-- Name: snippet; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE snippet (
    snippet_id integer NOT NULL,
    section varchar2(20) NOT NULL,
    ref_id integer NOT NULL,
    created_by integer NOT NULL,
    create_date timestamp with time zone ,
    snippet_name clob,
    snippet_description clob
);


--
-- Name: snippet_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE snippet_idx (
    snippet_id integer,
    vectors clob
);


--
-- Name: stats_project_page_view; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE stats_project_page_view (
    project_id integer NOT NULL,
    count_date date NOT NULL,
    count_views integer NOT NULL
);


--
-- Name: stats_site_page_view; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE stats_site_page_view (
    count_date date NOT NULL,
    count_views integer NOT NULL
);


--
-- Name: survey; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE survey (
    survey_id integer NOT NULL,
    project_id integer NOT NULL,
    survey_title clob NOT NULL,
    survey_questions clob NOT NULL,
    is_active number(1,0) DEFAULT 1
);


--
-- Name: survey_question; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE survey_question (
    survey_question_id integer NOT NULL,
    project_id integer NOT NULL,
    question clob NOT NULL,
    question_type integer NOT NULL
);


--
-- Name: survey_response; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE survey_response (
    user_id integer NOT NULL,
    survey_id integer DEFAULT 0 NOT NULL,
    question_id integer DEFAULT 0 NOT NULL,
    response clob NOT NULL,
    post_date timestamp with time zone  NOT NULL
);


--
-- Name: theme; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE theme (
    theme_id integer NOT NULL,
    dirname clob NOT NULL,
    fullname clob NOT NULL
);


--
-- Name: tracker_canned_response; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_canned_response (
    tracker_canned_response_id integer NOT NULL,
    tracker_id integer NOT NULL,
    title clob NOT NULL,
    body clob NOT NULL
);


--
-- Name: tracker_commit_reassign_trigge; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_commit_reassign_trigge (
    tracker_id integer NOT NULL,
    assign_to_role_id integer NOT NULL
);


--
-- Name: tracker_commit_trigger; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_commit_trigger (
    tracker_commit_trigger_id integer NOT NULL,
    tracker_id integer,
    change_tracker_extra_field_id integer,
    to_element_id integer
);


--
-- Name: tracker_efe_transition_reassig; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_efe_transition_reassig (
    tracker_efe_trans_id integer NOT NULL,
    assign_to_role_id integer NOT NULL
);


--
-- Name: tracker_efe_transition_trigger; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_efe_transition_trigger (
    tracker_efe_trans_trigger_id integer NOT NULL,
    tracker_efe_trans_id integer,
    change_tracker_extra_field_id integer,
    to_element_id integer
);


--
-- Name: tracker_extra_field; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_extra_field (
    tracker_extra_field_id integer NOT NULL,
    tracker_id integer NOT NULL,
    field_name clob NOT NULL,
    field_type integer NOT NULL,
    attribute1 integer DEFAULT 0,
    attribute2 integer DEFAULT 0,
    is_required number(1,0) DEFAULT 0,
    alias clob NOT NULL,
    field_order integer DEFAULT 0,
    use_in_quick_browse number(1,0) DEFAULT 0,
    show_on_submit number(1,0) DEFAULT 0,
    use_auto_assign number(1,0) DEFAULT 0,
    use_workflow number(1,0) DEFAULT 0,
    use_commit_rule number(1,0) DEFAULT 0,
    default_value clob
);


--
-- Name: tracker_extra_field_data; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_extra_field_data (
    tracker_extra_field_data_id integer NOT NULL,
    tracker_item_id integer NOT NULL,
    field_data clob,
    tracker_extra_field_id integer NOT NULL
);


--
-- Name: tracker_extra_field_element; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_extra_field_element (
    element_id integer NOT NULL,
    tracker_extra_field_id integer NOT NULL,
    element_name clob NOT NULL,
    status_id integer DEFAULT 1,
    default_selected number(1,0) DEFAULT 0,
    sort_order integer DEFAULT 0,
    auto_assign_to integer DEFAULT 100,
    can_commit number(1,0) DEFAULT 0
);


--
-- Name: tracker_efe_trans; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_efe_trans (
    tracker_efe_trans_id integer NOT NULL,
    element_id integer NOT NULL,
    to_element_id integer NOT NULL,
    notification_message clob
);


--
-- Name: tracker_efe_trans_field; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_efe_trans_field (
    tracker_efe_trans_id integer NOT NULL,
    required_tef_id integer NOT NULL
);


--
-- Name: tracker_efe_trans_notify; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_efe_trans_notify (
    tracker_efe_trans_id integer NOT NULL,
    role_id integer NOT NULL
);


--
-- Name: tracker_efe_trans_role; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_efe_trans_role (
    tracker_efe_trans_id integer NOT NULL,
    role_id integer NOT NULL
);


--
-- Name: tracker_item_assignee; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_item_assignee (
    tracker_item_id integer NOT NULL,
    assignee integer NOT NULL,
    percent_utilization integer DEFAULT 100
);


--
-- Name: tracker_item_duplicate; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_item_duplicate (
    tracker_item_id integer NOT NULL,
    duplicate_of_tracker_item_id integer NOT NULL
);


--
-- Name: tracker_item_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_item_idx (
    tracker_item_id integer,
    tracker_id integer,
    vectors clob
);


--
-- Name: tracker_item_message; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_item_message (
    tracker_item_message_id integer NOT NULL,
    tracker_item_id integer NOT NULL,
    submitted_by integer NOT NULL,
    adddate timestamp with time zone ,
    body clob NOT NULL
);


--
-- Name: tracker_item_message_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_item_message_idx (
    tracker_item_message_id integer,
    tracker_item_id integer,
    vectors clob
);


--
-- Name: tracker_item_relation; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_item_relation (
    tracker_item_id integer NOT NULL,
    related_tracker_item_id integer NOT NULL,
    link_type character(2) DEFAULT 'FS'
);


--
-- Name: tracker_item_scm_commit; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_item_scm_commit (
    tracker_item_id integer NOT NULL,
    scm_commit_id integer NOT NULL
);


--
-- Name: tracker_item_time; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_item_time (
    tracker_item_time_id integer NOT NULL,
    date_entry date  NOT NULL,
    user_id integer NOT NULL,
    tracker_item_id integer NOT NULL,
    hours double precision,
    tracker_time_code_id integer NOT NULL
);


--
-- Name: tracker_my_queue; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_my_queue (
    user_id integer NOT NULL,
    tracker_item_id integer NOT NULL,
    sort_order integer DEFAULT 0
);


--
-- Name: tracker_query; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_query (
    tracker_query_id integer NOT NULL,
    tracker_id integer NOT NULL,
    user_id integer NOT NULL,
    query_name clob NOT NULL,
    is_shared number(1,0) DEFAULT 0
);


--
-- Name: tracker_query_field; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_query_field (
    tracker_query_id integer NOT NULL,
    query_field_type varchar2(1000) NOT NULL,
    query_field_id integer NOT NULL,
    query_field_values clob NOT NULL
);


--
-- Name: tracker_time_code; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE tracker_time_code (
    tracker_time_code_id integer NOT NULL,
    time_name clob
);


--
-- Name: trove_category; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE trove_category (
    trove_category_id integer NOT NULL,
    root_trove_category_id integer NOT NULL,
    parent_trove_category_id integer NOT NULL,
    alias clob NOT NULL,
    category_name clob NOT NULL,
    description clob NOT NULL
);


--
-- Name: trove_link; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE trove_link (
    section varchar2(20) NOT NULL,
    ref_id integer NOT NULL,
    trove_category_id integer NOT NULL
);


--
-- Name: trove_link_count; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE trove_link_count (
    trove_category_id integer NOT NULL,
    section varchar2(20) NOT NULL,
    link_count integer NOT NULL
);


--
-- Name: unix_shell; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE unix_shell (
    unix_shell_id integer NOT NULL,
    shell_name clob,
    path clob
);


--
-- Name: user_plugin; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE user_plugin (
    user_id integer NOT NULL,
    plugin_id integer NOT NULL,
    plugin_order integer DEFAULT 0
);


--
-- Name: user_preference; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE user_preference (
    user_id integer NOT NULL,
    preference_name varchar2(20) NOT NULL,
    set_date timestamp with time zone ,
    preference_value clob
);


--
-- Name: user_project; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE user_project (
    user_id integer NOT NULL,
    project_id integer NOT NULL,
    join_date timestamp with time zone ,
    user_project_id integer NOT NULL
);


--
-- Name: user_project_role; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE user_project_role (
    user_project_id integer,
    role_id integer
);

--
-- Name: user_session; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE user_session (
    user_id integer NOT NULL,
    session_hash character(32) NOT NULL,
    ip_addr character(15) NOT NULL,
    login_time timestamp with time zone 
);


--
-- Name: user_unix; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE user_unix (
    user_id integer NOT NULL,
    unix_shell_id integer NOT NULL,
    unix_uid integer DEFAULT 0 NOT NULL,
    unix_gid integer DEFAULT 0,
    unix_box varchar2(10) DEFAULT 'shell1' NOT NULL,
    authorized_keys clob
);


--
-- Name: user_watched_project; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE user_watched_project (
    user_id integer NOT NULL,
    project_id integer NOT NULL
);


--
-- Name: usergroup_user; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE usergroup_user (
    usergroup_id integer NOT NULL,
    member_user_id integer NOT NULL
);


--
-- Name: users_idx; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE users_idx (
    user_id integer,
    vectors clob
);


--
-- Name: wiki_page; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE wiki_page (
    wiki_page_id integer NOT NULL,
    section varchar2(30) NOT NULL,
    ref_id integer NOT NULL,
    pagename varchar2(50) NOT NULL,
    flags integer,
    latest_version integer NOT NULL,
    page_views integer DEFAULT 0
);


--
-- Name: wiki_page_link; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE wiki_page_link (
    from_wiki_page_id integer NOT NULL,
    to_wiki_page_id integer NOT NULL
);


--
-- Name: wiki_project_setting; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE wiki_project_setting (
    project_id integer NOT NULL,
    is_public number(1,0) DEFAULT 1 NOT NULL
);


--
-- Name: wiki_version; Type: TABLE; Schema: public; Owner: gforge; Tablespace: 
--

CREATE TABLE wiki_version (
    wiki_version_id integer NOT NULL,
    wiki_page_id integer NOT NULL,
    page_version integer NOT NULL,
    posted_by integer NOT NULL,
    refs clob,
    last_modified_date timestamp with time zone ,
    score integer,
    create_date timestamp with time zone
);


--
-- Name: associations_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE association
    ADD CONSTRAINT associations_pkey PRIMARY KEY (section, ref_id, to_section, to_ref_id);


--
-- Name: audit_trail_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE audit_trail
    ADD CONSTRAINT audit_trail_pkey PRIMARY KEY (audit_trail_id);


--
-- Name: country_code_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE country_code
    ADD CONSTRAINT country_code_pkey PRIMARY KEY (ccode);


--
-- Name: cruisecontrol_assignee_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE cruisecontrol_assignee
    ADD CONSTRAINT cruisecontrol_assignee_pkey PRIMARY KEY (cruisecontrol_id, assignee);


--
-- Name: cruisecontrol_build_change_use_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE cruisecontrol_build_change_use
    ADD CONSTRAINT cruisecontrol_build_chang_pkey PRIMARY KEY (cruisecontrol_build_id, user_id);


--
-- Name: cruisecontrol_build_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE cruisecontrol_build
    ADD CONSTRAINT cruisecontrol_build_pkey PRIMARY KEY (cruisecontrol_build_id);


--
-- Name: cruisecontrol_defect_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE cruisecontrol_defect
    ADD CONSTRAINT cruisecontrol_defect_pkey PRIMARY KEY (cruisecontrol_defect_id);


--
-- Name: cruisecontrol_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE cruisecontrol
    ADD CONSTRAINT cruisecontrol_pkey PRIMARY KEY (cruisecontrol_id);


--
-- Name: cruisecontrol_publisher_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE cruisecontrol_publisher
    ADD CONSTRAINT cruisecontrol_publisher_pkey PRIMARY KEY (cruisecontrol_id, tracker_id);


--
-- Name: deleted_mailing_list_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE deleted_mailing_list
    ADD CONSTRAINT deleted_mailing_list_pkey PRIMARY KEY (mailing_list_name);


--
-- Name: deleted_project_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE deleted_project
    ADD CONSTRAINT deleted_project_pkey PRIMARY KEY (unix_group_name);


--
-- Name: disk_usage_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE disk_usage
    ADD CONSTRAINT disk_usage_pkey PRIMARY KEY (project_id, check_date);


--
-- Name: docman_file_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE docman_file
    ADD CONSTRAINT docman_file_pkey PRIMARY KEY (docman_file_id);


--
-- Name: docman_file_version_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE docman_file_version
    ADD CONSTRAINT docman_file_version_pkey PRIMARY KEY (docman_file_version_id);


--
-- Name: docman_folder_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE docman_folder
    ADD CONSTRAINT docman_folder_pkey PRIMARY KEY (docman_folder_id);


--
-- Name: filesystem_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE filesystem
    ADD CONSTRAINT filesystem_pkey PRIMARY KEY (filesystem_id);


--
-- Name: forum_message_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE forum_message
    ADD CONSTRAINT forum_message_pkey PRIMARY KEY (forum_message_id);


--
-- Name: forum_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE forum
    ADD CONSTRAINT forum_pkey PRIMARY KEY (forum_id);


--
-- Name: forum_thread_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE forum_thread
    ADD CONSTRAINT forum_thread_pkey PRIMARY KEY (forum_thread_id);


--
-- Name: frs_package_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE frs_package
    ADD CONSTRAINT frs_package_pkey PRIMARY KEY (frs_package_id);


--
-- Name: frs_release_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE frs_release
    ADD CONSTRAINT frs_release_pkey PRIMARY KEY (frs_release_id);


--
-- Name: jabber_connected_user_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE jabber_connected_user
    ADD CONSTRAINT jabber_connected_user_pkey PRIMARY KEY (user_id);


--
-- Name: jabber_notification_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE jabber_notification
    ADD CONSTRAINT jabber_notification_pkey PRIMARY KEY (jabber_notification_id);


--
-- Name: jabber_project_log_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE jabber_project_log
    ADD CONSTRAINT jabber_project_log_pkey PRIMARY KEY (jabber_project_log_id);


--
-- Name: language_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE "language"
    ADD CONSTRAINT language_pkey PRIMARY KEY (language_id);


--
-- Name: mailman_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE mailman
    ADD CONSTRAINT mailman_pkey PRIMARY KEY (mailman_id);


--
-- Name: monitor_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE monitor
    ADD CONSTRAINT monitor_pkey PRIMARY KEY (section, ref_id, user_id);


--
-- Name: my_report__pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE my_report
    ADD CONSTRAINT my_report__pkey PRIMARY KEY (my_report_id);


--
-- Name: my_report_field_display_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE my_report_field_display
    ADD CONSTRAINT my_report_field_display_pkey PRIMARY KEY (my_report_field_display_id);


--
-- Name: my_report_field_filter_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE my_report_field_filter
    ADD CONSTRAINT my_report_field_filter_pkey PRIMARY KEY (my_report_field_filter_id);


--
-- Name: my_report_field_value_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE my_report_field_value
    ADD CONSTRAINT my_report_field_value_pkey PRIMARY KEY (my_report_field_value_id);


--
-- Name: my_report_project_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE my_report_project
    ADD CONSTRAINT my_report_project_pkey PRIMARY KEY (my_report_id, project_id);


--
-- Name: my_report_tracker_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE my_report_tracker
    ADD CONSTRAINT my_report_tracker_pkey PRIMARY KEY (my_report_id, tracker_id);


--
-- Name: my_report_user_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE my_report_user
    ADD CONSTRAINT my_report_user_pkey PRIMARY KEY (my_report_id, user_id);


--
-- Name: news_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE news
    ADD CONSTRAINT news_pkey PRIMARY KEY (news_id);


--
-- Name: notification_queue_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE notification_queue
    ADD CONSTRAINT notification_queue_pkey PRIMARY KEY (notification_queue_id);


--
-- Name: plugin_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE plugin
    ADD CONSTRAINT plugin_pkey PRIMARY KEY (plugin_id);


--
-- Name: plugin_plugin_name_key; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE plugin
    ADD CONSTRAINT plugin_plugin_name_key UNIQUE (plugin_name);


--
-- Name: project_activity_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE project_activity
    ADD CONSTRAINT project_activity_pkey PRIMARY KEY (activity_date, project_id);


--
-- Name: project_export_request_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE project_export_request
    ADD CONSTRAINT project_export_request_pkey PRIMARY KEY (project_id);


--
-- Name: project_join_request_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE project_join_request
    ADD CONSTRAINT project_join_request_pkey PRIMARY KEY (project_id, user_id);


--
-- Name: project_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE project
    ADD CONSTRAINT project_pkey PRIMARY KEY (project_id);


--
-- Name: project_plugin_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE project_plugin
    ADD CONSTRAINT project_plugin_pkey PRIMARY KEY (project_id, plugin_id);


--
-- Name: project_scm_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE project_scm
    ADD CONSTRAINT project_scm_pkey PRIMARY KEY (project_id);


--
-- Name: project_unix_name_key; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE project
    ADD CONSTRAINT project_unix_name_key UNIQUE (unix_name);


--
-- Name: role_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE role
    ADD CONSTRAINT role_pkey PRIMARY KEY (role_id);


--
-- Name: role_setting_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE role_setting
    ADD CONSTRAINT role_setting_pkey PRIMARY KEY (role_id, section, ref_id);


--
-- Name: scm_commit_file_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE scm_commit_file
    ADD CONSTRAINT scm_commit_file_pkey PRIMARY KEY (scm_commit_id, modified_file);


--
-- Name: scm_commit_filter_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE scm_commit_filter
    ADD CONSTRAINT scm_commit_filter_pkey PRIMARY KEY (scm_commit_filter_id);


--
-- Name: scm_commit_filter_project_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE scm_commit_filter_project
    ADD CONSTRAINT scm_commit_filter_project_pkey PRIMARY KEY (scm_commit_filter_id, project_id);


--
-- Name: scm_commit_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE scm_commit
    ADD CONSTRAINT scm_commit_pkey PRIMARY KEY (scm_commit_id);


--
-- Name: scm_module_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE scm_module
    ADD CONSTRAINT scm_module_pkey PRIMARY KEY (scm_module_id);


--
-- Name: scm_module_user_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE scm_module_user
    ADD CONSTRAINT scm_module_user_pkey PRIMARY KEY (scm_module_id, user_id);


--
-- Name: scm_preference_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE scm_preference
    ADD CONSTRAINT scm_preference_pkey PRIMARY KEY (project_id);


--
-- Name: scm_project_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE scm_project_stats
    ADD CONSTRAINT scm_project_stats_pkey PRIMARY KEY (stat_date, project_id);


--
-- Name: scm_server_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE scm_server
    ADD CONSTRAINT scm_server_pkey PRIMARY KEY (scm_server_id);


--
-- Name: scm_user_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE scm_user_stats
    ADD CONSTRAINT scm_user_stats_pkey PRIMARY KEY (stat_date, project_id, user_id);


--
-- Name: site_admin_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE site_admin
    ADD CONSTRAINT site_admin_pkey PRIMARY KEY (user_id);


--
-- Name: snippet_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE snippet
    ADD CONSTRAINT snippet_pkey PRIMARY KEY (snippet_id);


--
-- Name: stats_project_page_view_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE stats_project_page_view
    ADD CONSTRAINT stats_project_page_view_pkey PRIMARY KEY (project_id, count_date);


--
-- Name: stats_site_page_view_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE stats_site_page_view
    ADD CONSTRAINT stats_site_page_view_pkey PRIMARY KEY (count_date);


--
-- Name: survey_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE survey
    ADD CONSTRAINT survey_pkey PRIMARY KEY (survey_id);


--
-- Name: survey_question_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE survey_question
    ADD CONSTRAINT survey_question_pkey PRIMARY KEY (survey_question_id);


--
-- Name: survey_response_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE survey_response
    ADD CONSTRAINT survey_response_pkey PRIMARY KEY (user_id, survey_id, question_id);


--
-- Name: theme_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE theme
    ADD CONSTRAINT theme_pkey PRIMARY KEY (theme_id);


--
-- Name: tracker_canned_response_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_canned_response
    ADD CONSTRAINT tracker_canned_response_pkey PRIMARY KEY (tracker_canned_response_id);


--
-- Name: tracker_commit_reassign_trigge_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_commit_reassign_trigge
    ADD CONSTRAINT tracker_commit_reassign_t_pkey PRIMARY KEY (tracker_id, assign_to_role_id);


--
-- Name: tracker_efe_transition_reassig_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_efe_transition_reassig
    ADD CONSTRAINT tracker_efe_transition_re_pkey PRIMARY KEY (tracker_efe_trans_id, assign_to_role_id);


--
-- Name: tracker_extra_field_data_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_extra_field_data
    ADD CONSTRAINT tracker_extra_field_data_pkey PRIMARY KEY (tracker_extra_field_data_id);


--
-- Name: tracker_extra_field_element_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_extra_field_element
    ADD CONSTRAINT tracker_extra_field_ele_pkey1 PRIMARY KEY (element_id);


--
-- Name: tracker_efe_trans_field_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_efe_trans_field
    ADD CONSTRAINT tracker_extra_field_ele_pkey2 PRIMARY KEY (tracker_efe_trans_id, required_tef_id);


--
-- Name: tracker_efe_trans_notify_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_efe_trans_notify
    ADD CONSTRAINT tracker_extra_field_ele_pkey3 PRIMARY KEY (tracker_efe_trans_id, role_id);


--
-- Name: tracker_efe_trans_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_efe_trans
    ADD CONSTRAINT tracker_extra_field_ele_pkey4 PRIMARY KEY (tracker_efe_trans_id);


--
-- Name: tracker_efe_trans_role_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_efe_trans_role
    ADD CONSTRAINT tracker_extra_field_ele_pkey5 PRIMARY KEY (tracker_efe_trans_id, role_id);


--
-- Name: tracker_extra_field_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_extra_field
    ADD CONSTRAINT tracker_extra_field_pkey PRIMARY KEY (tracker_extra_field_id);


--
-- Name: tracker_item_assignee_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_item_assignee
    ADD CONSTRAINT tracker_item_assignee_pkey PRIMARY KEY (tracker_item_id, assignee);


--
-- Name: tracker_item_duplicate_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_item_duplicate
    ADD CONSTRAINT tracker_item_duplicate_pkey PRIMARY KEY (tracker_item_id, duplicate_of_tracker_item_id);


--
-- Name: tracker_item_message_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_item_message
    ADD CONSTRAINT tracker_item_message_pkey PRIMARY KEY (tracker_item_message_id);


--
-- Name: tracker_item_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_item
    ADD CONSTRAINT tracker_item_pkey PRIMARY KEY (tracker_item_id);


--
-- Name: tracker_item_relation_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_item_relation
    ADD CONSTRAINT tracker_item_relation_pkey PRIMARY KEY (tracker_item_id, related_tracker_item_id);


--
-- Name: tracker_item_time_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_item_time
    ADD CONSTRAINT tracker_item_time_pkey PRIMARY KEY (tracker_item_time_id);


--
-- Name: tracker_my_queue_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_my_queue
    ADD CONSTRAINT tracker_my_queue_pkey PRIMARY KEY (user_id, tracker_item_id);


--
-- Name: tracker_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker
    ADD CONSTRAINT tracker_pkey PRIMARY KEY (tracker_id);


--
-- Name: tracker_query_field_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_query_field
    ADD CONSTRAINT tracker_query_field_pkey PRIMARY KEY (tracker_query_id, query_field_type, query_field_id);


--
-- Name: tracker_query_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_query
    ADD CONSTRAINT tracker_query_pkey PRIMARY KEY (tracker_query_id);


--
-- Name: tracker_time_code_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE tracker_time_code
    ADD CONSTRAINT tracker_time_code_pkey PRIMARY KEY (tracker_time_code_id);


--
-- Name: trove_category_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE trove_category
    ADD CONSTRAINT trove_category_pkey PRIMARY KEY (trove_category_id);


--
-- Name: trove_link_count_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE trove_link_count
    ADD CONSTRAINT trove_link_count_pkey PRIMARY KEY (trove_category_id, section);


--
-- Name: trove_link_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE trove_link
    ADD CONSTRAINT trove_link_pkey PRIMARY KEY (section, ref_id, trove_category_id);


--
-- Name: unix_shell_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE unix_shell
    ADD CONSTRAINT unix_shell_pkey PRIMARY KEY (unix_shell_id);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (user_id);


--
-- Name: user_plugin_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE user_plugin
    ADD CONSTRAINT user_plugin_pkey PRIMARY KEY (user_id, plugin_id);


--
-- Name: user_preference_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE user_preference
    ADD CONSTRAINT user_preference_pkey PRIMARY KEY (user_id, preference_name);


--
-- Name: user_project_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE user_project
    ADD CONSTRAINT user_project_pkey PRIMARY KEY (user_id, project_id);


--
-- Name: user_session_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE user_session
    ADD CONSTRAINT user_session_pkey PRIMARY KEY (session_hash);


--
-- Name: user_unix_name_key; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE "user"
    ADD CONSTRAINT user_unix_name_key UNIQUE (unix_name);


--
-- Name: user_unix_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE user_unix
    ADD CONSTRAINT user_unix_pkey PRIMARY KEY (user_id);


--
-- Name: user_watched_project_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE user_watched_project
    ADD CONSTRAINT user_watched_project_pkey PRIMARY KEY (user_id, project_id);


--
-- Name: usergroup_user_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE usergroup_user
    ADD CONSTRAINT usergroup_user_pkey PRIMARY KEY (usergroup_id, member_user_id);


--
-- Name: wiki_page_link_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE wiki_page_link
    ADD CONSTRAINT wiki_page_link_pkey PRIMARY KEY (from_wiki_page_id, to_wiki_page_id);


--
-- Name: wiki_page_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE wiki_page
    ADD CONSTRAINT wiki_page_pkey PRIMARY KEY (wiki_page_id);


--
-- Name: wiki_project_setting_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE wiki_project_setting
    ADD CONSTRAINT wiki_project_setting_pkey PRIMARY KEY (project_id);


--
-- Name: wiki_version_pkey; Type: CONSTRAINT; Schema: public; Owner: gforge; Tablespace: 
--

ALTER TABLE wiki_version
    ADD CONSTRAINT wiki_version_pkey PRIMARY KEY (wiki_version_id);


--
-- Name: associations_tosection; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX associations_tosection ON association  (to_section, to_ref_id, section, ref_id);


--
-- Name: audit_trail_idx; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX audit_trail_idx ON audit_trail  (section, ref_id);


--
-- Name: cruisecontrolassignee_projectidassignee; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX cruisecontrolassignee_projecti ON cruisecontrol_assignee  (cruisecontrol_id, assignee);


--
-- Name: cruisecontrolbuild_cruisecontrolidbuilddate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX cruisecontrolbuild_cruisecontr ON cruisecontrol_build  (cruisecontrol_id, build_date);


--
-- Name: cruisecontroldefect_cruisecontrolid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX cruisecontroldefect_cruisecont ON cruisecontrol_defect  (cruisecontrol_id);


--
-- Name: cruisecontrolpublisher_projectidtrackerid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX cruisecontrolpublisher_project ON cruisecontrol_publisher  (cruisecontrol_id, tracker_id);


--
-- Name: docmanfile_docmanfolderid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX docmanfile_docmanfolderid ON docman_file  (docman_folder_id);




--
-- Name: docmanfileidx_idx; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX docmanfileidx_idx ON docman_file_idx  (docman_file_id);


--
-- Name: docmanfileversion_docmanfileid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX docmanfileversion_docmanfileid ON docman_file_version  (docman_file_version_id);



--
-- Name: docmanfileversionidx_idx; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX docmanfileversionidx_idx ON docman_file_version_idx  (docman_file_version_id);


--
-- Name: docmanfolder_projectidparentfolder; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX docmanfolder_projectidparentfo ON docman_folder  (project_id, parent_folder_id);



--
-- Name: filesystem_sectionrefid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX filesystem_sectionrefid ON filesystem  (section, ref_id);


--
-- Name: filesystemdownload_filesystemiddownloaddate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX filesystemdownload_filesystemi ON filesystem_download  (filesystem_id, download_date);


--
-- Name: filesystemidx_idx; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX filesystemidx_idx ON filesystem_idx  (filesystem_id);


--
-- Name: forum_sectionrefidispublic; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX forum_sectionrefidispublic ON forum  (section, ref_id, is_public);


--
-- Name: forummessage_createdbypostdate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX forummessage_createdbypostdate ON forum_message  (created_by, post_date);


--
-- Name: forummessage_threadidpostdate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX forummessage_threadidpostdate ON forum_message  (forum_thread_id, post_date);


--
-- Name: forumthread_forumid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX forumthread_forumid ON forum_thread  (forum_id);


--
-- Name: frspackage_projectid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX frspackage_projectid ON frs_package  (project_id, package_name);


--
-- Name: frsrelease_packageidreleasename; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX frsrelease_packageidreleasenam ON frs_release  (frs_package_id, release_name);


--
-- Name: jabberprojectlog_projectiddate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX jabberprojectlog_projectiddate ON jabber_project_log  (project_id, message_date);


--
-- Name: mailman_projectidlistname; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX mailman_projectidlistname ON mailman  (project_id, list_name);


--
-- Name: news_projectidpostdate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX news_projectidpostdate ON news  (project_id, post_date);


--
-- Name: project_parentprojectid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX project_parentprojectid ON project  (parent_project_id);


--
-- Name: project_rootparentprojectid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX project_rootparentprojectid ON project  (root_parent_project_id);


--
-- Name: project_rootpath; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX project_rootpath ON project  (root_path);


--
-- Name: projectactivity_activitydatemeasure; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX projectactivity_activitydateme ON project_activity  (activity_date, measure);


--
-- Name: projectactivity_projectidactivitydate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX projectactivity_projectidactiv ON project_activity  (project_id, activity_date);


--
-- Name: role_projectidrolename; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX role_projectidrolename ON role  (project_id, role_name);


--
-- Name: scmcommit_projectiddate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX scmcommit_projectiddate ON scm_commit  (project_id, commit_date);


--
-- Name: scmcommit_useridcommitdate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX scmcommit_useridcommitdate ON scm_commit  (user_id, commit_date);


--
-- Name: survey_projectidactive; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX survey_projectidactive ON survey  (project_id, is_active);


--
-- Name: surveyquestion_projectid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX surveyquestion_projectid ON survey_question  (project_id);


--
-- Name: surveyresponse_surveyidquestioniddate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX surveyresponse_surveyidquestio ON survey_response  (survey_id, question_id, post_date);


--
-- Name: tracker_projectiddatatypeispublic; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX tracker_projectiddatatypeispub ON tracker  (project_id, datatype, is_public);


--
-- Name: trackercannedresponse_trackerid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackercannedresponse_trackeri ON tracker_canned_response  (tracker_id);


--
-- Name: trackercommittrigger_trackerid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackercommittrigger_trackerid ON tracker_commit_trigger  (tracker_id);


--
-- Name: trackerextrafield_trackeridfieldorder; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackerextrafield_trackeridfie ON tracker_extra_field  (tracker_id, field_order);


--
-- Name: trackerextrafielddata_extrafieldidtrackeritem; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackerextrafielddata_extrafie ON tracker_extra_field_data  (tracker_item_id, tracker_extra_field_id);


--
-- Name: trackerextrafieldelement_trackerextrafieldidsortorder; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackerextrafieldelement_track ON tracker_extra_field_element  (tracker_extra_field_id, sort_order);


--
-- Name: trackeritem_lastmodbyclosedate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritem_lastmodbyclosedate ON tracker_item  (last_modified_by, close_date);


--
-- Name: trackeritem_lastmodbylastmoddate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritem_lastmodbylastmodda ON tracker_item  (last_modified_by, last_modified_date);


--
-- Name: trackeritem_submittedbyopendate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritem_submittedbyopendat ON tracker_item  (submitted_by, open_date);


--
-- Name: trackeritem_trackeridclosedate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritem_trackeridclosedate ON tracker_item  (tracker_id, close_date);


--
-- Name: trackeritem_trackeridlastmoddate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritem_trackeridlastmodda ON tracker_item  (tracker_id, last_modified_date);


--
-- Name: trackeritem_trackeridopendate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritem_trackeridopendate ON tracker_item  (tracker_id, open_date);


--
-- Name: trackeritem_trackeridstatusid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritem_trackeridstatusid ON tracker_item  (tracker_id, status_id, tracker_item_id);


--
-- Name: trackeritem_trackeridsubmittedbystatusid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritem_trackeridsubmitted ON tracker_item  (tracker_id, submitted_by, status_id, tracker_item_id);


--
-- Name: trackeritemassignee_assigneetrackeritemid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritemassignee_assigneetr ON tracker_item_assignee  (assignee, tracker_item_id);


--
-- Name: trackeritemduplicate_duplicateoftrackeritemidtrackeritemid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritemduplicate_duplicate ON tracker_item_duplicate  (duplicate_of_tracker_item_id, tracker_item_id);


--
-- Name: trackeritemrelation_relatedtrackeritemidtrackeritemid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackeritemrelation_relatedtra ON tracker_item_relation  (related_tracker_item_id, tracker_item_id);


--
-- Name: trackeritemscmcommit_trackeritemidscmcommitid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX trackeritemscmcommit_trackerit ON tracker_item_scm_commit  (tracker_item_id, scm_commit_id);


--
-- Name: trackermessage_trackeritemidaddate; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackermessage_trackeritemidad ON tracker_item_message  (tracker_item_id, adddate);


--
-- Name: trackerquery_trackeriduserid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trackerquery_trackeriduserid ON tracker_query  (tracker_id, user_id);


--
-- Name: trovecat_parenttroveidtroveid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trovecat_parenttroveidtroveid ON trove_category  (parent_trove_category_id, trove_category_id);


--
-- Name: trovelink_trovecatid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX trovelink_trovecatid ON trove_link  (trove_category_id);


--
-- Name: usergroupuser_memberuseridusergroupid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE INDEX usergroupuser_memberuseriduser ON usergroup_user  (member_user_id, usergroup_id);


--
-- Name: userproject_userprojectid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX userproject_userprojectid ON user_project  (user_project_id);


--
-- Name: userprojectrole_roleiduserprojectid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX userprojectrole_roleiduserproj ON user_project_role  (role_id, user_project_id);


--
-- Name: userprojectrole_userprojectidroleid; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX userprojectrole_userprojectidr ON user_project_role  (user_project_id, role_id);


--
-- Name: wikipage_secionrefidpagename; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX wikipage_secionrefidpagename ON wiki_page  (section, ref_id, pagename);


--
-- Name: wikiversion_wikipageidpageversion; Type: INDEX; Schema: public; Owner: gforge; Tablespace: 
--

CREATE UNIQUE INDEX wikiversion_wikipageidpagevers ON wiki_version  (wiki_page_id, page_version);


--
-- Name: docman_file_version_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE docman_file_version_del_rule AS ON DELETE TO docman_file_version DO UPDATE filesystem SET deleted = true WHERE (((filesystem.section) = 'docmanfileversion') AND (filesystem.ref_id = old.docman_file_version_id));


--
-- Name: docmanfile_association_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE docmanfile_assoc_del_rule AS ON DELETE TO docman_file DO DELETE FROM association WHERE ((((association.section) = 'docmanfile') AND (association.ref_id = old.docman_file_id)) OR (((association.to_section) = 'docmanfile') AND (association.to_ref_id = old.docman_file_id)));


--
-- Name: filesystem_download_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE filesystem_download_rule AS ON INSERT TO filesystem_download DO UPDATE filesystem SET download_count = (filesystem.download_count + 1) WHERE (filesystem.filesystem_id = new.filesystem_id);


--
-- Name: forum_message_deletefiles_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE forum_message_deletefiles_rule AS ON DELETE TO forum_message DO UPDATE filesystem SET deleted = true WHERE (((filesystem.section) = 'forummessage') AND (filesystem.ref_id = old.forum_message_id));


--
-- Name: forum_thread_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE forum_thread_delete_rule AS ON DELETE TO forum_thread DO UPDATE forum SET thread_count = (forum.thread_count - 1) WHERE (forum.forum_id = old.forum_id);


--
-- Name: forum_thread_insert_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE forum_thread_insert_rule AS ON INSERT TO forum_thread DO UPDATE forum SET thread_count = (forum.thread_count + 1), most_recent_date = now() WHERE (forum.forum_id = new.forum_id);


--
-- Name: forummessage_association_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE forummessage_association_delete_rule AS ON DELETE TO forum_message DO DELETE FROM association WHERE ((((association.section) = 'forummessage') AND (association.ref_id = old.forum_message_id)) OR (((association.to_section) = 'forummessage') AND (association.to_ref_id = old.forum_message_id)));


--
-- Name: frs_release_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE frs_release_delete_rule AS ON DELETE TO frs_release DO UPDATE filesystem SET deleted = true WHERE (((filesystem.section) = 'frsrelease') AND (filesystem.ref_id = old.frs_release_id));


--
-- Name: frsrelease_association_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE frsrelease_assoc_del_rule AS ON DELETE TO frs_release DO DELETE FROM association WHERE ((((association.section) = 'frsrelease') AND (association.ref_id = old.frs_release_id)) OR (((association.to_section) = 'frsrelease') AND (association.to_ref_id = old.frs_release_id)));


--
-- Name: mailman_delete_forum_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE mailman_delete_forum_rule AS ON DELETE TO mailman DO DELETE FROM forum WHERE (((forum.section) = 'mailman') AND (forum.ref_id = old.mailman_id));


--
-- Name: mailman_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE mailman_delete_rule AS ON DELETE TO mailman DO INSERT INTO deleted_mailing_list (mailing_list_name) VALUES (old.list_name);


--
-- Name: mailman_insert_forum_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE mailman_insert_forum_rule AS ON INSERT TO mailman DO INSERT INTO forum (section, ref_id, forum_name, description) VALUES ('mailman', new.mailman_id, ('mailman-' || (new.mailman_id)), new.list_name);


--
-- Name: news_delete_forum_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE news_delete_forum_rule AS ON DELETE TO news DO DELETE FROM forum WHERE (((forum.section) = 'news') AND (forum.ref_id = old.news_id));


--
-- Name: news_insert_forum_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE news_insert_forum_rule AS ON INSERT TO news DO INSERT INTO forum (section, ref_id, forum_name, description) VALUES ('news', new.news_id, ('news-' || (new.news_id)), new.summary);


--
-- Name: project_delete_audit_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE project_delete_audit_rule AS ON DELETE TO project DO DELETE FROM audit_trail WHERE ((audit_trail.ref_id = old.project_id) AND ((((audit_trail.section) = 'project') OR ((audit_trail.section) = 'user_project')) OR ((audit_trail.section) = 'user_project_role')));


--
-- Name: project_delete_homepage_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE project_delete_homepage_rule AS ON DELETE TO project DO UPDATE filesystem SET deleted = true WHERE (((filesystem.section) = 'project') AND (filesystem.ref_id = old.project_id));


--
-- Name: project_delete_htmleditor_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE project_delete_htmleditor_rule AS ON DELETE TO project DO UPDATE filesystem SET deleted = true WHERE (((filesystem.section) = 'htmleditor') AND (filesystem.ref_id = old.project_id));


--
-- Name: project_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE project_delete_rule AS ON DELETE TO project DO INSERT INTO deleted_project (unix_group_name) VALUES (old.unix_name);


--
-- Name: project_forum_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE project_forum_delete_rule AS ON DELETE TO project DO DELETE FROM forum WHERE (((forum.section) = 'project') AND (forum.ref_id = old.project_id));


--
-- Name: projectwikidelete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE projectwikidelete_rule AS ON DELETE TO project DO DELETE FROM wiki_page WHERE (((wiki_page.section) = 'project') AND (wiki_page.ref_id = old.project_id));


--
-- Name: snippet_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE snippet_delete_rule AS ON DELETE TO snippet DO UPDATE filesystem SET deleted = true WHERE (((filesystem.section) = 'snippet') AND (filesystem.ref_id = old.snippet_id));


--
-- Name: tracker_item_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE tracker_item_delete_rule AS ON DELETE TO tracker_item DO UPDATE tracker SET item_total = (tracker.item_total - 1), open_count = CASE WHEN (old.status_id = 1) THEN (tracker.open_count - 1) ELSE tracker.open_count END WHERE (tracker.tracker_id = old.tracker_id);


--
-- Name: tracker_item_deletefiles_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE tracker_item_deletefiles_rule AS ON DELETE TO tracker_item DO UPDATE filesystem SET deleted = true WHERE (((filesystem.section) = 'trackeritem') AND (filesystem.ref_id = old.tracker_item_id));


--
-- Name: trackeritem_association_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE trackeritem_association_delete_rule AS ON DELETE TO tracker_item DO DELETE FROM association WHERE ((((association.section) = 'trackeritem') AND (association.ref_id = old.tracker_item_id)) OR (((association.to_section) = 'trackeritem') AND (association.to_ref_id = old.tracker_item_id)));


--
-- Name: trackeritem_insert_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE trackeritem_insert_rule AS ON INSERT TO tracker_item DO UPDATE tracker SET item_total = (tracker.item_total + 1), open_count = (tracker.open_count + 1) WHERE (tracker.tracker_id = new.tracker_id);


--
-- Name: wiki_page_deletefiles_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE wiki_page_deletefiles_rule AS ON DELETE TO wiki_page DO UPDATE filesystem SET deleted = true WHERE (((filesystem.section) = 'wikifiles') AND (filesystem.ref_id = old.wiki_page_id));


--
-- Name: wikipage_association_delete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE wikipage_association_delete_rule AS ON DELETE TO wiki_page DO DELETE FROM association WHERE ((((association.section) = 'wikipage') AND (association.ref_id = old.wiki_page_id)) OR (((association.to_section) = 'wikipage') AND (association.to_ref_id = old.wiki_page_id)));


--
-- Name: wikipage_delete_forum_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE wikipage_delete_forum_rule AS ON DELETE TO wiki_page DO DELETE FROM forum WHERE (((forum.section) = 'wikipage') AND (forum.ref_id = old.wiki_page_id));


--
-- Name: wikipagefilesystemdelete_rule; Type: RULE; Schema: public; Owner: gforge
--

-- CREATE RULE wikipagefilesystemdelete_rule AS ON DELETE TO wiki_version DO UPDATE filesystem SET deleted = true WHERE (((filesystem.section) = 'wiki') AND (filesystem.ref_id = old.wiki_version_id));


--
-- Name: countrycode_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE "user"
    ADD CONSTRAINT countrycode_fk1 FOREIGN KEY (ccode) REFERENCES country_code(ccode);


--
-- Name: cruisecontrolbuildid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol_build_change_use
    ADD CONSTRAINT cruisecontrolbuildid_fk2 FOREIGN KEY (cruisecontrol_build_id) REFERENCES cruisecontrol_build(cruisecontrol_build_id) ON DELETE CASCADE;


--
-- Name: cruisecontrolid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol_build
    ADD CONSTRAINT cruisecontrolid_fk3 FOREIGN KEY (cruisecontrol_id) REFERENCES cruisecontrol(cruisecontrol_id) ON DELETE CASCADE;


--
-- Name: cruisecontrolid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol_publisher
    ADD CONSTRAINT cruisecontrolid_fk4 FOREIGN KEY (cruisecontrol_id) REFERENCES cruisecontrol(cruisecontrol_id);


--
-- Name: cruisecontrolid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol_defect
    ADD CONSTRAINT cruisecontrolid_fk5 FOREIGN KEY (cruisecontrol_id) REFERENCES cruisecontrol(cruisecontrol_id) ON DELETE CASCADE;


--
-- Name: cruisecontrolid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol_assignee
    ADD CONSTRAINT cruisecontrolid_fk6 FOREIGN KEY (cruisecontrol_id) REFERENCES cruisecontrol(cruisecontrol_id) ON DELETE CASCADE;


--
-- Name: dependsonpluginid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE plugin_dependency
    ADD CONSTRAINT dependsonpluginid_fk7 FOREIGN KEY (dependson_plugin_id) REFERENCES plugin(plugin_id);


--
-- Name: docmanfileid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE docman_file_version
    ADD CONSTRAINT docmanfileid_fk8 FOREIGN KEY (docman_file_id) REFERENCES docman_file(docman_file_id) ON DELETE CASCADE;


--
-- Name: docmanfileid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE docman_file_idx
    ADD CONSTRAINT docmanfileid_fk9 FOREIGN KEY (docman_file_id) REFERENCES docman_file(docman_file_id) ON DELETE CASCADE;


--
-- Name: docmanfileid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE docman_file_version_idx
    ADD CONSTRAINT docmanfileid_fk10 FOREIGN KEY (docman_file_version_id) REFERENCES docman_file_version(docman_file_version_id) ON DELETE CASCADE;


--
-- Name: docmanfolderid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE docman_file
    ADD CONSTRAINT docmanfolderid_fk11 FOREIGN KEY (docman_folder_id) REFERENCES docman_folder(docman_folder_id) ON DELETE CASCADE;


--
-- Name: duplicateoftrackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_duplicate
    ADD CONSTRAINT duplicateoftrackeritemid_fk12 FOREIGN KEY (duplicate_of_tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: elementid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_trans
    ADD CONSTRAINT elementid_fk13 FOREIGN KEY (element_id) REFERENCES tracker_extra_field_element(element_id) ON DELETE CASCADE;


--
-- Name: elementtransitionid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_trans_role
    ADD CONSTRAINT elementtransitionid_fk14 FOREIGN KEY (tracker_efe_trans_id) REFERENCES tracker_efe_trans(tracker_efe_trans_id) ON DELETE CASCADE;


--
-- Name: elementtransitionid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_trans_field
    ADD CONSTRAINT elementtransitionid_fk15 FOREIGN KEY (tracker_efe_trans_id) REFERENCES tracker_efe_trans(tracker_efe_trans_id) ON DELETE CASCADE;


--
-- Name: elementtransitionid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_trans_notify
    ADD CONSTRAINT elementtransitionid_fk16 FOREIGN KEY (tracker_efe_trans_id) REFERENCES tracker_efe_trans(tracker_efe_trans_id) ON DELETE CASCADE;


--
-- Name: filesystemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE filesystem_download
    ADD CONSTRAINT filesystemid_fk17 FOREIGN KEY (filesystem_id) REFERENCES filesystem(filesystem_id) ON DELETE CASCADE;


--
-- Name: filesystemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE filesystem_idx
    ADD CONSTRAINT filesystemid_fk18 FOREIGN KEY (filesystem_id) REFERENCES filesystem(filesystem_id) ON DELETE CASCADE;


--
-- Name: forumid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE forum_thread
    ADD CONSTRAINT forumid_fk19 FOREIGN KEY (forum_id) REFERENCES forum(forum_id) ON DELETE CASCADE;


--
-- Name: forummessageid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE forum_message_idx
    ADD CONSTRAINT forummessageid_fk20 FOREIGN KEY (forum_message_id) REFERENCES forum_message(forum_message_id) ON DELETE CASCADE;


--
-- Name: forumthreadid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE forum_message
    ADD CONSTRAINT forumthreadid_fk21 FOREIGN KEY (forum_thread_id) REFERENCES forum_thread(forum_thread_id) ON DELETE CASCADE;


--
-- Name: fromwikipageid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE wiki_page_link
    ADD CONSTRAINT fromwikipageid_fk22 FOREIGN KEY (from_wiki_page_id) REFERENCES wiki_page(wiki_page_id) ON DELETE CASCADE;


--
-- Name: frspackageid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE frs_release
    ADD CONSTRAINT frspackageid_fk23 FOREIGN KEY (frs_package_id) REFERENCES frs_package(frs_package_id) ON DELETE CASCADE;


--
-- Name: frsreleaseid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE frs_release_idx
    ADD CONSTRAINT frsreleaseid_fk24 FOREIGN KEY (frs_release_id) REFERENCES frs_release(frs_release_id) ON DELETE CASCADE;


--
-- Name: jabberprojectlogid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE jabber_project_log_idx
    ADD CONSTRAINT jabberprojectlogid_fk25 FOREIGN KEY (jabber_project_log_id) REFERENCES jabber_project_log(jabber_project_log_id) ON DELETE CASCADE;


--
-- Name: languageid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE "user"
    ADD CONSTRAINT languageid_fk26 FOREIGN KEY (language_id) REFERENCES "language"(language_id);


--
-- Name: memberuserid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE usergroup_user
    ADD CONSTRAINT memberuserid_fk27 FOREIGN KEY (member_user_id) REFERENCES "user"(user_id);


--
-- Name: my_report_field_filter_my_report_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE my_report_field_filter
    ADD CONSTRAINT my_report_field_filter_m_fk28 FOREIGN KEY (my_report_id) REFERENCES my_report(my_report_id) ON DELETE CASCADE;


--
-- Name: my_report_field_my_report_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE my_report_field_display
    ADD CONSTRAINT my_report_field_my_repor_fk29 FOREIGN KEY (my_report_id) REFERENCES my_report(my_report_id) ON DELETE CASCADE;


--
-- Name: my_report_field_value_my_report_field_filter_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE my_report_field_value
    ADD CONSTRAINT my_report_field_value_my_fk30 FOREIGN KEY (my_report_field_filter_id) REFERENCES my_report_field_filter(my_report_field_filter_id) ON DELETE CASCADE;


--
-- Name: my_report_project_my_report_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE my_report_project
    ADD CONSTRAINT my_report_project_my_rep_fk31 FOREIGN KEY (my_report_id) REFERENCES my_report(my_report_id) ON DELETE CASCADE;


--
-- Name: my_report_project_project_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE my_report_project
    ADD CONSTRAINT my_report_project_projec_fk32 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: my_report_tracker_my_report_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE my_report_tracker
    ADD CONSTRAINT my_report_tracker_my_rep_fk33 FOREIGN KEY (my_report_id) REFERENCES my_report(my_report_id) ON DELETE CASCADE;


--
-- Name: my_report_tracker_tracker_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE my_report_tracker
    ADD CONSTRAINT my_report_tracker_tracke_fk34 FOREIGN KEY (tracker_id) REFERENCES tracker(tracker_id) ON DELETE CASCADE;


--
-- Name: my_report_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE my_report
    ADD CONSTRAINT my_report_user_id_fk35 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: my_report_user_my_report_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE my_report_user
    ADD CONSTRAINT my_report_user_my_report_fk36 FOREIGN KEY (my_report_id) REFERENCES my_report(my_report_id) ON DELETE CASCADE;


--
-- Name: my_report_user_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE my_report_user
    ADD CONSTRAINT my_report_user_user_id_fk37 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: newsid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE news_idx
    ADD CONSTRAINT newsid_fk38 FOREIGN KEY (news_id) REFERENCES news(news_id) ON DELETE CASCADE;


--
-- Name: parenttrovecatid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE trove_category
    ADD CONSTRAINT parenttrovecatid_fk39 FOREIGN KEY (parent_trove_category_id) REFERENCES trove_category(trove_category_id) ON DELETE CASCADE;


--
-- Name: pluginid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE plugin_dependency
    ADD CONSTRAINT pluginid_fk40 FOREIGN KEY (plugin_id) REFERENCES plugin(plugin_id) ON DELETE CASCADE;


--
-- Name: pluginid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE project_plugin
    ADD CONSTRAINT pluginid_fk41 FOREIGN KEY (plugin_id) REFERENCES plugin(plugin_id) ON DELETE CASCADE;


--
-- Name: pluginid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_plugin
    ADD CONSTRAINT pluginid_fk42 FOREIGN KEY (plugin_id) REFERENCES plugin(plugin_id) ON DELETE CASCADE;


--
-- Name: pluginid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_commit_filter
    ADD CONSTRAINT pluginid_fk43 FOREIGN KEY (plugin_id) REFERENCES plugin(plugin_id);


--
-- Name: project_id_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE project_export_request
    ADD CONSTRAINT project_id_fk44 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE docman_folder
    ADD CONSTRAINT projectid_fk45 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE project_scm
    ADD CONSTRAINT projectid_fk46 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE frs_package
    ADD CONSTRAINT projectid_fk47 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE mailman
    ADD CONSTRAINT projectid_fk48 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE news
    ADD CONSTRAINT projectid_fk49 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE survey_question
    ADD CONSTRAINT projectid_fk50 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE survey
    ADD CONSTRAINT projectid_fk51 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE role
    ADD CONSTRAINT projectid_fk52 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_project
    ADD CONSTRAINT projectid_fk53 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker
    ADD CONSTRAINT projectid_fk54 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_user_stats
    ADD CONSTRAINT projectid_fk55 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_project_stats
    ADD CONSTRAINT projectid_fk56 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE project_plugin
    ADD CONSTRAINT projectid_fk57 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_watched_project
    ADD CONSTRAINT projectid_fk58 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE project_join_request
    ADD CONSTRAINT projectid_fk59 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_module
    ADD CONSTRAINT projectid_fk60 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_preference
    ADD CONSTRAINT projectid_fk61 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_commit
    ADD CONSTRAINT projectid_fk62 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol
    ADD CONSTRAINT projectid_fk63 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE project_activity
    ADD CONSTRAINT projectid_fk64 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE projects_idx
    ADD CONSTRAINT projectid_fk65 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE jabber_project_log
    ADD CONSTRAINT projectid_fk66 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE disk_usage
    ADD CONSTRAINT projectid_fk67 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_commit_filter_project
    ADD CONSTRAINT projectid_fk68 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;


--
-- Name: relatedtrackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_relation
    ADD CONSTRAINT relatedtrackeritemid_fk69 FOREIGN KEY (related_tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: requiredtrackerextrafieldid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_trans_field
    ADD CONSTRAINT requiredtrackerextrafiel_fk70 FOREIGN KEY (required_tef_id) REFERENCES tracker_extra_field(tracker_extra_field_id) ON DELETE CASCADE;


--
-- Name: role_roleid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_transition_reassig
    ADD CONSTRAINT role_roleid_fk71 FOREIGN KEY (assign_to_role_id) REFERENCES role"(role_id) ON DELETE CASCADE;


--
-- Name: role_roleid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_commit_reassign_trigge
    ADD CONSTRAINT role_roleid_fk72 FOREIGN KEY (assign_to_role_id) REFERENCES role(role_id) ON DELETE CASCADE;


--
-- Name: roleid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE role_setting
    ADD CONSTRAINT roleid_fk73 FOREIGN KEY (role_id) REFERENCES role(role_id) ON DELETE CASCADE;


--
-- Name: roleid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_trans_role
    ADD CONSTRAINT roleid_fk74 FOREIGN KEY (role_id) REFERENCES role(role_id) ON DELETE CASCADE;


--
-- Name: roleid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_trans_notify
    ADD CONSTRAINT roleid_fk75 FOREIGN KEY (role_id) REFERENCES role(role_id) ON DELETE CASCADE;


--
-- Name: roleid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_project_role
    ADD CONSTRAINT roleid_fk76 FOREIGN KEY (role_id) REFERENCES role(role_id) ON DELETE CASCADE;


--
-- Name: scmcommitfilterid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_commit_filter_project
    ADD CONSTRAINT scmcommitfilterid_fk77 FOREIGN KEY (scm_commit_filter_id) REFERENCES scm_commit_filter(scm_commit_filter_id) ON DELETE CASCADE;


--
-- Name: scmcommitid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_scm_commit
    ADD CONSTRAINT scmcommitid_fk78 FOREIGN KEY (scm_commit_id) REFERENCES scm_commit(scm_commit_id) ON DELETE CASCADE;


--
-- Name: scmcommitid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_commit_file
    ADD CONSTRAINT scmcommitid_fk79 FOREIGN KEY (scm_commit_id) REFERENCES scm_commit(scm_commit_id) ON DELETE CASCADE;


--
-- Name: scmmoduleid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_module_user
    ADD CONSTRAINT scmmoduleid_fk80 FOREIGN KEY (scm_module_id) REFERENCES scm_module(scm_module_id) ON DELETE CASCADE;


--
-- Name: scmserverid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE project_scm
    ADD CONSTRAINT scmserverid_fk81 FOREIGN KEY (scm_server_id) REFERENCES scm_server(scm_server_id);


--
-- Name: snippetid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE snippet_idx
    ADD CONSTRAINT snippetid_fk82 FOREIGN KEY (snippet_id) REFERENCES snippet(snippet_id) ON DELETE CASCADE;


--
-- Name: submittedby_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item
    ADD CONSTRAINT submittedby_fk83 FOREIGN KEY (submitted_by) REFERENCES "user"(user_id);


--
-- Name: tef_tefid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_transition_trigger
    ADD CONSTRAINT tef_tefid_fk84 FOREIGN KEY (change_tracker_extra_field_id) REFERENCES tracker_extra_field(tracker_extra_field_id) ON DELETE CASCADE;


--
-- Name: tef_tefid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_commit_trigger
    ADD CONSTRAINT tef_tefid_fk85 FOREIGN KEY (change_tracker_extra_field_id) REFERENCES tracker_extra_field(tracker_extra_field_id) ON DELETE CASCADE;


--
-- Name: tefe_elementid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_transition_trigger
    ADD CONSTRAINT tefe_elementid_fk86 FOREIGN KEY (to_element_id) REFERENCES tracker_extra_field_element(element_id) ON DELETE CASCADE;


--
-- Name: tefe_elementid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_commit_trigger
    ADD CONSTRAINT tefe_elementid_fk87 FOREIGN KEY (to_element_id) REFERENCES tracker_extra_field_element(element_id) ON DELETE CASCADE;


--
-- Name: tefet_tefetid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_transition_reassig
    ADD CONSTRAINT tefet_tefetid_fk88 FOREIGN KEY (tracker_efe_trans_id) REFERENCES tracker_efe_trans(tracker_efe_trans_id) ON DELETE CASCADE;


--
-- Name: tefet_tefetid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_transition_trigger
    ADD CONSTRAINT tefet_tefetid_fk89 FOREIGN KEY (tracker_efe_trans_id) REFERENCES tracker_efe_trans(tracker_efe_trans_id) ON DELETE CASCADE;


--
-- Name: themeid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE "user"
    ADD CONSTRAINT themeid_fk90 FOREIGN KEY (theme_id) REFERENCES theme(theme_id);


--
-- Name: toelementid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_efe_trans
    ADD CONSTRAINT toelementid_fk91 FOREIGN KEY (to_element_id) REFERENCES tracker_extra_field_element(element_id) ON DELETE CASCADE;


--
-- Name: towikipageid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE wiki_page_link
    ADD CONSTRAINT towikipageid_fk92 FOREIGN KEY (to_wiki_page_id) REFERENCES wiki_page(wiki_page_id) ON DELETE CASCADE;


--
-- Name: trackerextrafieldid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_extra_field_element
    ADD CONSTRAINT trackerextrafieldid_fk93 FOREIGN KEY (tracker_extra_field_id) REFERENCES tracker_extra_field(tracker_extra_field_id) ON DELETE CASCADE;


--
-- Name: trackerextrafieldid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_extra_field_data
    ADD CONSTRAINT trackerextrafieldid_fk94 FOREIGN KEY (tracker_extra_field_id) REFERENCES tracker_extra_field(tracker_extra_field_id) ON DELETE CASCADE;


--
-- Name: trackerid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item
    ADD CONSTRAINT trackerid_fk95 FOREIGN KEY (tracker_id) REFERENCES tracker(tracker_id) ON DELETE CASCADE;


--
-- Name: trackerid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_canned_response
    ADD CONSTRAINT trackerid_fk96 FOREIGN KEY (tracker_id) REFERENCES tracker(tracker_id) ON DELETE CASCADE;


--
-- Name: trackerid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_extra_field
    ADD CONSTRAINT trackerid_fk97 FOREIGN KEY (tracker_id) REFERENCES tracker(tracker_id) ON DELETE CASCADE;


--
-- Name: trackerid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_query
    ADD CONSTRAINT trackerid_fk98 FOREIGN KEY (tracker_id) REFERENCES tracker(tracker_id) ON DELETE CASCADE;


--
-- Name: trackerid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol_publisher
    ADD CONSTRAINT trackerid_fk99 FOREIGN KEY (tracker_id) REFERENCES tracker(tracker_id) ON DELETE CASCADE;


--
-- Name: trackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_time
    ADD CONSTRAINT trackeritemid_fk100 FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: trackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_relation
    ADD CONSTRAINT trackeritemid_fk101 FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: trackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_assignee
    ADD CONSTRAINT trackeritemid_fk102 FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: trackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_message
    ADD CONSTRAINT trackeritemid_fk103 FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: trackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_extra_field_data
    ADD CONSTRAINT trackeritemid_fk104 FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: trackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_scm_commit
    ADD CONSTRAINT trackeritemid_fk105 FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: trackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_idx
    ADD CONSTRAINT trackeritemid_fk106 FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: trackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_duplicate
    ADD CONSTRAINT trackeritemid_fk107 FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: trackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol_defect
    ADD CONSTRAINT trackeritemid_fk108 FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: trackeritemid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_my_queue
    ADD CONSTRAINT trackeritemid_fk109 FOREIGN KEY (tracker_item_id) REFERENCES tracker_item(tracker_item_id) ON DELETE CASCADE;


--
-- Name: trackeritemmessageid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_message_idx
    ADD CONSTRAINT trackeritemmessageid_fk110 FOREIGN KEY (tracker_item_message_id) REFERENCES tracker_item_message(tracker_item_message_id) ON DELETE CASCADE;


--
-- Name: trackerqueryid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_query_field
    ADD CONSTRAINT trackerqueryid_fk111 FOREIGN KEY (tracker_query_id) REFERENCES tracker_query(tracker_query_id) ON DELETE CASCADE;


--
-- Name: trackertimecodeid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_time
    ADD CONSTRAINT trackertimecodeid_fk112 FOREIGN KEY (tracker_time_code_id) REFERENCES tracker_time_code(tracker_time_code_id) ON DELETE CASCADE;


--
-- Name: trackertrackerid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_commit_trigger
    ADD CONSTRAINT trackertrackerid_fk113 FOREIGN KEY (tracker_id) REFERENCES tracker(tracker_id) ON DELETE CASCADE;


--
-- Name: trackertrackerid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_commit_reassign_trigge
    ADD CONSTRAINT trackertrackerid_fk114 FOREIGN KEY (tracker_id) REFERENCES tracker(tracker_id) ON DELETE CASCADE;


--
-- Name: trovecategory_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE trove_link_count
    ADD CONSTRAINT trovecategory_fk115 FOREIGN KEY (trove_category_id) REFERENCES trove_category(trove_category_id) ON DELETE CASCADE;


--
-- Name: trovecategoryid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE trove_link
    ADD CONSTRAINT trovecategoryid_fk116 FOREIGN KEY (trove_category_id) REFERENCES trove_category(trove_category_id) ON DELETE CASCADE;


--
-- Name: unixshellid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_unix
    ADD CONSTRAINT unixshellid_fk117 FOREIGN KEY (unix_shell_id) REFERENCES unix_shell(unix_shell_id);


--
-- Name: usergroupid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE usergroup_user
    ADD CONSTRAINT usergroupid_fk118 FOREIGN KEY (usergroup_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE site_admin
    ADD CONSTRAINT userid_fk119 FOREIGN KEY (user_id) REFERENCES "user"(user_id) ON DELETE CASCADE;


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE filesystem
    ADD CONSTRAINT userid_fk120 FOREIGN KEY (posted_by) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE audit_trail
    ADD CONSTRAINT userid_fk121 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_unix
    ADD CONSTRAINT userid_fk122 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE forum_thread
    ADD CONSTRAINT userid_fk123 FOREIGN KEY (created_by) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE forum_message
    ADD CONSTRAINT userid_fk124 FOREIGN KEY (created_by) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE frs_release
    ADD CONSTRAINT userid_fk125 FOREIGN KEY (released_by) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE mailman
    ADD CONSTRAINT userid_fk126 FOREIGN KEY (created_by) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE news
    ADD CONSTRAINT userid_fk127 FOREIGN KEY (submitted_by) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_session
    ADD CONSTRAINT userid_fk128 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE snippet
    ADD CONSTRAINT userid_fk129 FOREIGN KEY (created_by) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE survey_response
    ADD CONSTRAINT userid_fk130 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_project
    ADD CONSTRAINT userid_fk131 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_preference
    ADD CONSTRAINT userid_fk132 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_time
    ADD CONSTRAINT userid_fk133 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_assignee
    ADD CONSTRAINT userid_fk134 FOREIGN KEY (assignee) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_item_message
    ADD CONSTRAINT userid_fk135 FOREIGN KEY (submitted_by) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE notification_queue
    ADD CONSTRAINT userid_fk136 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_user_stats
    ADD CONSTRAINT userid_fk137 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_plugin
    ADD CONSTRAINT userid_fk138 FOREIGN KEY (user_id) REFERENCES "user"(user_id) ON DELETE CASCADE;


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_watched_project
    ADD CONSTRAINT userid_fk139 FOREIGN KEY (user_id) REFERENCES "user"(user_id) ON DELETE CASCADE;


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE project_join_request
    ADD CONSTRAINT userid_fk140 FOREIGN KEY (user_id) REFERENCES "user"(user_id) ON DELETE CASCADE;


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_commit
    ADD CONSTRAINT userid_fk141 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_query
    ADD CONSTRAINT userid_fk142 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE wiki_version
    ADD CONSTRAINT userid_fk143 FOREIGN KEY (posted_by) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE docman_file_version
    ADD CONSTRAINT userid_fk144 FOREIGN KEY (created_by) REFERENCES "user"(user_id) ON DELETE CASCADE;


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE scm_module_user
    ADD CONSTRAINT userid_fk145 FOREIGN KEY (user_id) REFERENCES "user"(user_id) ON DELETE CASCADE;


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol_assignee
    ADD CONSTRAINT userid_fk146 FOREIGN KEY (assignee) REFERENCES "user"(user_id) ON DELETE CASCADE;


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE monitor
    ADD CONSTRAINT userid_fk147 FOREIGN KEY (user_id) REFERENCES "user"(user_id) ON DELETE CASCADE;


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_extra_field_element
    ADD CONSTRAINT userid_fk148 FOREIGN KEY (auto_assign_to) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE users_idx
    ADD CONSTRAINT userid_fk149 FOREIGN KEY (user_id) REFERENCES "user"(user_id) ON DELETE CASCADE;


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol
    ADD CONSTRAINT userid_fk150 FOREIGN KEY (submitter_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE cruisecontrol_build_change_use
    ADD CONSTRAINT userid_fk151 FOREIGN KEY (user_id) REFERENCES "user"(user_id) ON DELETE CASCADE;


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE jabber_connected_user
    ADD CONSTRAINT userid_fk152 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE tracker_my_queue
    ADD CONSTRAINT userid_fk153 FOREIGN KEY (user_id) REFERENCES "user"(user_id);


--
-- Name: userprojectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE user_project_role
    ADD CONSTRAINT userprojectid_fk154 FOREIGN KEY (user_project_id) REFERENCES user_project(user_project_id) ON DELETE CASCADE;


--
-- Name: wikipageid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE wiki_version
    ADD CONSTRAINT wikipageid_fk155 FOREIGN KEY (wiki_page_id) REFERENCES wiki_page(wiki_page_id) ON DELETE CASCADE;


--
-- Name: wikiprojectsetting_projectid_fk; Type: FK CONSTRAINT; Schema: public; Owner: gforge
--

ALTER TABLE wiki_project_setting
    ADD CONSTRAINT wikiprojectsetting_proje_fk156 FOREIGN KEY (project_id) REFERENCES project(project_id) ON DELETE CASCADE;



CREATE SEQUENCE activity_log_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE association_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE audit_trail_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE country_code_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE cron_history_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE cruisecontrol_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE cruisecontrol_assignee_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE cruisecontrol_build_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE cruisecontrol_build_change_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE cruisecontrol_defect_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE cruisecontrol_publisher_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE database_changes_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE deleted_mailing_list_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE deleted_project_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE disk_usage_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE docman_file_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE docman_file_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE docman_file_version_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE docman_file_version_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE docman_folder_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE filesystem_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE filesystem_download_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE filesystem_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE forum_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE forum_message_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE forum_message_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE forum_thread_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE frs_package_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE frs_release_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE frs_release_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE jabber_connected_user_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE jabber_notification_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE jabber_project_log_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE jabber_project_log_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE language_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE mailman_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE monitor_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE my_report_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE my_report_field_display_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE my_report_field_filter_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE my_report_field_value_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE my_report_project_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE my_report_tracker_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE my_report_user_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE news_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE news_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE notification_queue_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE plugin_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE plugin_dependency_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE project_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE project_activity_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE scm_commit_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_item_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE user_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE project_export_request_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE project_join_request_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE project_plugin_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE project_scm_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE projects_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE role_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE role_setting_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE scm_commit_file_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE scm_commit_filter_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE scm_commit_filter_project_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE scm_module_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE scm_module_user_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE scm_preference_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE scm_project_stats_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE scm_server_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE scm_user_stats_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE site_admin_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE snippet_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE snippet_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE stats_project_page_view_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE stats_site_page_view_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE survey_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE survey_question_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE survey_response_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE theme_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_canned_response_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_commit_reassign_tr_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_commit_trigger_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_efe_transition_rea_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_efe_transition_tri_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_extra_field_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_extra_field_data_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_extra_field_elemen_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_efe_trans_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_efe_trans_role_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_efe_trans_notify_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_efe_trans_field_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_item_assignee_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_item_duplicate_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_item_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_item_message_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_item_message_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_item_relation_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_item_scm_commit_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_item_time_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_my_queue_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_query_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_query_field_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE tracker_time_code_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE trove_category_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE trove_link_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE trove_link_count_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE unix_shell_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE user_plugin_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE user_preference_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE user_project_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE user_project_role_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE user_session_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE user_unix_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE user_watched_project_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE usergroup_user_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE users_idx_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE wiki_page_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE wiki_page_link_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE wiki_project_setting_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;
CREATE SEQUENCE wiki_version_SEQ INCREMENT BY 1 START WITH 1 NOMAXVALUE NOCYCLE NOCACHE ORDER;

