ALTER TABLE ONLY scm_module ADD CONSTRAINT scm_module_pkey PRIMARY KEY(scm_module_id);

CREATE TABLE scm_module_user (
    scm_module_id integer NOT NULL,
    user_id integer NOT NULL,
    access integer DEFAULT 0
);


ALTER TABLE ONLY scm_module_user
    ADD CONSTRAINT scm_module_user_pkey PRIMARY KEY (scm_module_id, user_id);

ALTER TABLE ONLY scm_module_user
    ADD CONSTRAINT scmmoduleid_fk FOREIGN KEY (scm_module_id) REFERENCES "scm_module"(scm_module_id) ON DELETE CASCADE;

ALTER TABLE ONLY scm_module_user
    ADD CONSTRAINT userid_fk FOREIGN KEY (user_id) REFERENCES "user"(user_id) ON DELETE CASCADE;
