<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code creates a new TrackerItem and saves it to the 
// database
//
require_once('plugins/tracker/lib/TrackerItem.php');
require_once('plugins/tracker/lib/TrackerItemPeer.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

if ($_POST['sure']) {
	$TrackerItem = TrackerItemPeer::retrieveByPk($_REQUEST['tracker_item_id']);
	if (is_object($TrackerItem) && $TrackerItem->userCanDelete()) {
		$TrackerItem->delete();
		$Tracker=$TrackerItem->getTracker();
		GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('TrackerItemBrowse'), array('feedback' => Language::getSessLang()->getText('TrackerItem.DeleteFeedback'), 'tracker_id'=>$Tracker->getTrackerId()));
	} else {
		throw new PermissionDeniedException();
	}
} else {
	$TrackerItem = TrackerItemPeer::retrieveByPk($_REQUEST['tracker_item_id']);
	$Tracker=$TrackerItem->getTracker();
	$feedback = Language::getSessLang()->getText('TrackerItemDeleteForm.DidntConfirm');
	GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('TrackerItemBrowse'), array('feedback' =>$feedback, 'tracker_id'=>$Tracker->getTrackerId()));
}

?>
