<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version $Id$
 * @author Marcelo Mottalli <marcelo@gforgegroup.com>
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */


require_once('html/templates/ProjectAdminTemplate.php');
require_once('external/fckeditor/fckeditor.php');
require_once('lib/Validator.php');

$project = GFUrl::getUrl()->getProject();
$project_name = $project->getUnixName();
$lang = Session::getSession()->getLanguage();

$template = new ProjectAdminTemplate();
$params = array(
		'selectedbottomtab'	=> 'project_admin','project' => $project,
		'title' => $lang->getText('ProjectAdmin.EditHomepageDescription'),
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : '')
	);
$template->header($params);

$contents = $project->getHomepage();


echo '<form name="edit" id="edit" method="post" action="' . GFUrl::getUrl()->currentBaseURL('EditHomepageAction') . '">';
echo '<p><h3>' . $lang->getText('ProjectAdmin.EditHomepageDescription') . '</h3></p>';
echo '<p>'.$lang->getText('ProjectAdmin.EditHomepageHint').'</p>';
echo '<br />';
// setting the fckeditor object
$oFCKeditor = new FCKeditor('content');
$oFCKeditor->BasePath = GFUrl::getUrl()->buildURL('/fckeditor/');/* 'http://gforge5/fckeditor/';*/
$oFCKeditor->Value = $contents->getFileData(); // this is the initial text that will be displayed (if any)
$oFCKeditor->Width = "800";
$oFCKeditor->Height = "500";
$oFCKeditor->ToolbarSet = "GForge";
echo $oFCKeditor->CreateHtml();

echo '<div align="left">';
echo HTMLWidget::button("submit", Language::getSessText('submit.update'), 'submit');
echo '</div>';
echo '</form>';
?>

<?php
$template->footer();
?>
